-- All data in this file is copyrighted to the author (oscarucb), all rights reserved
local addonName, vars = ...
vars.svnrev = vars.svnrev or {}
vars.svnrev["PV_data.lua"] = tonumber(("$Revision: 535 $"):match("%d+"))

vars.VersionInfo = {
	   ["DBversion"] = 8,
	   ["DBrevision"] = tonumber(("$Revision: 535 $"):match("%d+")),
           ["clientexpansion"] = 4,
           ["clientversion"] = "5.4.7",
}

if vars.stub then return end

-- Recipes that remain in the Blizzard item database, 
-- but are unobtainable or have no corresponding profession spell
-- Currently only used for testing purposes
vars.DeadRecipes = {
 [2599]  = true, -- [Deprecated Pattern: Forest Silk Gloves]
 [6343]  = true, -- [Formula: Imbue Chest - Spirit]
 [8046]  = true, -- [Kearnen's Journal] (false positive)
 [14478] = true, -- [Pattern: Brightcloth Robe] (trainer pat now)
 [16051] = true, -- [Schematic: Thorium Shells] (removed 4.x)
 [16222] = true, -- [Formula: Enchant Shield - Superior Spirit] (changed to vitality in 3.1)
 [21737] = true, -- [Schematic: Cluster Launcher] (duplicate pattern - real pat is 44918)
 [22537] = true, -- [Formula: Enchant Ring - Healing Power] (spell removed in MoP)
 [23885] = true, -- [Schematic: Remote Mail Terminal] (BC beta only, replaced by Moll-E)
 [24315] = true, -- [Pattern: Heavy Netherweave Net] Never deployed, bit removed in MoP
 [34126] = true, -- [Recipe: Shoveltusk Soup] (WoLTK recipe never released)
 [37337] = true, -- [Formula: Enchant Bracer - Greater Stats] (pat never released - trainer pat)
 [37338] = true, -- [Formula: Enchant Weapon - Greater Savagery] (pat never released, changed to 2H)
 [37348] = true, -- [Formula: Enchant Cloak - Haste] (pat never released - trainer pat)
 [38597] = true, -- [Pattern: Dark Arctic Boots] (pat never released, Black Chitinguard Boots - trainer pat)
 [39692] = true, -- [Recipe: Succulent Orca Stew] (WoLTK recipe never released)
 [42193] = true, -- [Pattern: Glacial Cord] (pat never released, deep frozen cord - trainer pat)
 [43876] = true, -- [A Guide to Northern Cloth Scavenging] (false positive)
 [47011] = true, -- [Design: Deadly Ametrine] (retired, real pat is 46949)
 [47023] = true, -- [Design: Deft Ametrine] (improperly removed in 4.x, real pat is 47020)
 -- JC patterns never deployed in cata (rare drop quest item instead)
 [52499] = true, -- [Design: Figurine - King of Boars]
 [52500] = true, -- [Design: Figurine - Demon Panther]
 [52501] = true, -- [Design: Figurine - Earthen Guardian]
 [52502] = true, -- [Design: Figurine - Jeweled Serpent]
 [52503] = true, -- [Design: Figurine - Dream Owl]
 -- LW patterns never deployed in cata (renamed to a diff set?)
 [67001] = true, -- [Pattern: Windbound Bracers]
 [67002] = true, -- [Pattern: Windbound Gloves]
 [67003] = true, -- [Pattern: Razorshell Bracers]
 [67004] = true, -- [Pattern: Razorshell Shoulders]
 [67005] = true, -- [Pattern: Shellscale Cloak]
 [67008] = true, -- [Pattern: Windbound Boots]
 [67009] = true, -- [Pattern: Razorshell Boots]
 [67012] = true, -- [Pattern: Windbound Belt]
 [67013] = true, -- [Pattern: Razorshell Gloves]
 [67016] = true, -- [Pattern: Windbound Shoulders]
 [67017] = true, -- [Pattern: Razorshell Belt]
 [67022] = true, -- [Pattern: Windbound Leggings]
 [67023] = true, -- [Pattern: Razorshell Helm]
 [67028] = true, -- [Pattern: Windbound Chest]
 [67030] = true, -- [Pattern: Razorshell Leggings]
 [67034] = true, -- [Pattern: Windbound Helm]
 [67035] = true, -- [Pattern: Razorshell Chest]
 -- Alc patterns never released in 4.3
 [71955] = true, -- [Recipe: Transmute Deepholm Iolite]
 [71956] = true, -- [Recipe: Transmute Elven Peridot]
 [71957] = true, -- [Recipe: Transmute Lightstone]
 [71958] = true, -- [Recipe: Transmute Lava Coral]
 [71959] = true, -- [Recipe: Transmute Shadow Spinel]
 [71960] = true, -- [Recipe: Transmute Queen's Garnet]
 -- Enchanting Rods removed in MoP
 [16243] = true, -- Formula: Runed Arcanite Rod
 [25846] = true, -- Plans: Adamantite Rod
 [25848] = true, -- Formula: Runed Adamantite Rod
 [25847] = true, -- Plans: Eternium Rod
 [25849] = true, -- Formula: Runed Eternium Rod
 [66134] = true, -- Plans: Elementium Rod
 [65359] = true, -- Formula: Runed Elementium Rod
 [84175] = true, -- Plans: Ghost Iron Rod
 -- Leatherworking patterns never released in MoP (renamed and changed to Misthide trainer pats)
 [86286] = true, -- [Pattern: Sha Leather]
 [86287] = true, -- [Pattern: Sha Leather Belt]
 [86288] = true, -- [Pattern: Sha Leather Boots]
 [86289] = true, -- [Pattern: Sha Leather Bracers]
 [86290] = true, -- [Pattern: Sha Leather Chestguard
 [86291] = true, -- [Pattern: Sha Leather Gloves]
 [86292] = true, -- [Pattern: Sha Leather Helm]
 [86293] = true, -- [Pattern: Sha Leather Leggings]
 [86294] = true, -- [Pattern: Sha Leather Shoulders] 
 -- JC patterns never released in MoP (renamed and changed to trainer pats)
 [83812] = true, -- [Design: Alexandrite Necklace]
 [83880] = true, -- [Design: Lapis Lazuli Band]
 -- Inscription pats never released in MoP
 [87830] = true, -- [Recipe: Tigersblood Tincture]
 -- Engineering pats never released in MoP
 [87756] = true, -- [Schematic: Steam-Filled Balloon]
 [90500] = true, -- [Schematic: Warbot]
 -- Cooking pats never released in MoP
 [90501] = true, -- [Recipe: Red War Fuel]
 [90502] = true, -- [Recipe: Blue War Fuel]
 -- misc profession-related items that don't actually teach a specific trade recipe
 [16072] = true, -- [Expert Cookbook]
 [27736] = true, -- [Master Cookbook]
 [44851] = true, -- [Thanksgiving Cookbook]
 [46809] = true, -- [Bountiful Cookbook]
 [46810] = true, -- [Bountiful Cookbook]
 [45912] = true, -- [Book of Glyph Mastery]
 [71949] = true, -- [Tome of Burning Jewels]
}
for id=41403,41423 do -- ZZOLD retired meta designs
  vars.DeadRecipes[id] = true
end
for id=74663,74677 do -- unreleased MoP cooking spec recipes (trainer pats)
  vars.DeadRecipes[id] = true
end
for id=87227,87249,2 do -- unreleased MoP cooking spec recipes (trainer pats)
  vars.DeadRecipes[id] = true
end
for id=87740,87746 do -- unreleased MoP eng Retinal Armor helm recipes (trainer pats)
  vars.DeadRecipes[id] = true
end

local goblin = "Goblin Engineer"
local gnome =  "Gnomish Engineer"
vars.spec_spells = {
  -- spec-specific trainer spells for spec detection
  [12759] = gnome,  -- Gnomish Death Ray
  [12895] = gnome,  -- Inlaid Mithril Cylinder Plans
  [12897] = gnome,  -- Gnomish Goggles
  [12899] = gnome,  -- Gnomish Shrink Ray
  [12902] = gnome,  -- Gnomish Net-o-Matic Projector
  [12903] = gnome,  -- Gnomish Harm Prevention Belt
  [12905] = gnome,  -- Gnomish Rocket Boots
  [12906] = gnome,  -- Gnomish Battle Chicken
  [12907] = gnome,  -- Gnomish Mind Control Cap
  [23096] = gnome,  -- Gnomish Alarm-o-Bot
  [23129] = gnome,  -- World Enlarger
  [23489] = gnome,  -- Ultrasafe Transporter - Gadgetzan
  [30568] = gnome,  -- Gnomish Flame Turret
  [30569] = gnome,  -- Gnomish Poultryizer
  [30570] = gnome,  -- Nigh-Invulnerability Belt
  [30574] = gnome,  -- Gnomish Power Goggles
  [30575] = gnome,  -- Gnomish Battle Goggles
  [36955] = gnome,  -- Ultrasafe Transporter - Toshley's Station
  [56473] = gnome,  -- Gnomish X-Ray Specs
  [95705] = gnome,  -- Gnomish Gravity Well
  [8895]  = goblin, -- Goblin Rocket Boots
  [12715] = goblin, -- Goblin Rocket Fuel Recipe
  [12716] = goblin, -- Goblin Mortar
  [12717] = goblin, -- Goblin Mining Helmet
  [12718] = goblin, -- Goblin Construction Helmet
  [12754] = goblin, -- The Big One
  [12755] = goblin, -- Goblin Bomb Dispenser
  [12758] = goblin, -- Goblin Rocket Helmet
  [12760] = goblin, -- Goblin Sapper Charge
  [12908] = goblin, -- Goblin Dragon Gun
  [13240] = goblin, -- The Mortar: Reloaded
  [23078] = goblin, -- Goblin Jumper Cables XL
  [23486] = goblin, -- Dimensional Ripper - Everlook
  [30558] = goblin, -- The Bigger One
  [30560] = goblin, -- Super Sapper Charge
  [30563] = goblin, -- Goblin Rocket Launcher
  [30565] = goblin, -- Foreman's Enchanted Helmet
  [30566] = goblin, -- Foreman's Reinforced Helmet
  [36954] = goblin, -- Dimensional Ripper - Area 52
  [56514] = goblin, -- Global Thermal Sapper Charge
  [95707] = goblin, -- Big Daddy
  -- actual spec-specific recipes
  [23129] = gnome,  -- Schematic: World Enlarger
  [23096] = gnome,  -- Schematic: Gnomish Alarm-o-Bot
  [23078] = goblin, -- Schematic: Goblin Jumper Cables XL
}

vars.mine_exceptions_ItoS = {
  -- class-specific engineering helms whose spell tooltips scan badly from other classes
  [35186] = 46111, -- Schematic: Annihilator Holo-Gogs
  [35187] = 46107, -- Schematic: Justicebringer 3000 Specs
  [35189] = 46108, -- Schematic: Powerheal 9000 Lens
  [35190] = 46109, -- Schematic: Hyper-Magnified Moon Specs
  [35191] = 46106, -- Schematic: Wonderheal XT68 Shades
  [35192] = 46110, -- Schematic: Primal-Attuned Goggles
  [35193] = 46112, -- Schematic: Lightning Etched Specs
  [35194] = 46113, -- Schematic: Surestrike Goggles v3.0
  [35195] = 46114, -- Schematic: Mayhem Projection Goggles
  [35196] = 46115, -- Schematic: Hard Khorium Goggles
  [35197] = 46116, -- Schematic: Quad Deathblow X44 Goggles

  -- faction-specific thanksgiving recipes, with faction-specific trade spells
  -- that become a faction-independent crafted item 
  [46805] = 66035, -- cranberry chutney
  [44858] = 62049, -- cranberry chutney
  [46807] = 66037, -- slow roasted turkey 
  [44861] = 62045, -- slow roasted turkey 
  [46803] = 66038, -- spice bread stuffing
  [44860] = 62050, -- spice bread stuffing
  [44859] = 62051, -- candied sweet potato
  [46806] = 66034, -- candied sweet potato  
  [46804] = 66036, -- pumpkin pie
  [44862] = 62044, -- pumpkin pie

  -- Mining/smelting books
  [35273] = 46353, -- [Study of Advanced Smelting]
  [44956] = 22967, -- [Goblin's Guide to Elementium]

  -- 5.4 trade cd multi-recipes. Teach 2 base recipes and a random third (ignored)
  [100863] = {143011,146925}, -- [Pattern: Celestial Cloth and Its Uses]
  [100864] = {142976,146923}, -- [Pattern: Hardened Magnificent Hide and Its Uses]
  [100865] = {143255,146921}, -- [Plans: Balanced Trillium Ingot and Its Uses]
  [100910] = { -- [Schematic: Chief Engineer Jard's Journal], teaches 5 recipes
    139176, -- Jard's Peculiar Energy Source
    139192, -- Sky Golem
    139196, -- Pierre
    139197, -- Advanced Refrigeration Unit
    143714, -- Rascal-Bot
  },

  -- 5.4 glyph misspellings (missing "the")
  [104219] = 148266, -- Technique: Glyph of Skeleton
  [104220] = 148267, -- Technique: Glyph of Long Winter
  [104221] = 148268, -- Technique: Glyph of Sprouting Mushroom
  [104223] = 148270, -- Technique: Glyph of Unbound Elemental
  [104226] = 148273, -- Technique: Glyph of Exorcist

  -- misc name mismatches
  [16248] = 20033,  -- [Formula: Enchant Weapon - Unholy]
  [44473] = 44595,  -- [Formula: Enchant Weapon - Scourgebane]
  [50168] = 71102,  -- Technique: Glyph of Everlasting Affliction
  [65408] = 88017,  -- Recipe: Feathered Lure (pname parse error)
  [78342] = 6417,   -- [Plump Dig Rat]
  [86239] = 124635, -- Pattern: Cloak of the Mists
  [87751] = 127128, -- Schematic: Goblin Flame Thrower, Mark II
  [90470] = 131897, -- Design: Jade Owl (false positive on Figurine: Jade Owl)
  [94570] = 138876, -- Plans: Planar Edge, Reborn
}  
  

vars.ItoS = {
---------------------------------------------------------------------------------------
-- Autogenerated data below
---------------------------------------------------------------------------------------
-- entries  = 2879
-- checksum = 2021056448
-- version  = 5.4.0
-- build    = 17371
-- rev      = 505
-- date     = 09/14/13 15:05:13
[728]=2543,      -- Recipe: Westfall Stew
[2406]=2158,     -- Pattern: Fine Leather Boots
[2407]=2163,     -- Pattern: White Leather Jerkin
[2408]=2164,     -- Pattern: Fine Leather Gloves
[2409]=2169,     -- Pattern: Dark Leather Tunic
[2553]=3230,     -- Recipe: Elixir of Minor Agility
[2555]=2335,     -- Recipe: Swiftness Potion
[2598]=2389,     -- Pattern: Red Linen Robe
[2601]=2403,     -- Pattern: Gray Woolen Robe
[2697]=2542,     -- Recipe: Goretusk Liver Pie
[2698]=2545,     -- Recipe: Cooked Crab Claw
[2699]=2547,     -- Recipe: Redridge Goulash
[2700]=2548,     -- Recipe: Succulent Pork Ribs
[2701]=2549,     -- Recipe: Seasoned Wolf Kabob
[2881]=2667,     -- Plans: Runed Copper Breastplate
[2882]=3330,     -- Plans: Silvered Bronze Shoulders
[2883]=3295,     -- Plans: Deadly Bronze Poniard
[2889]=2795,     -- Recipe: Beer Basted Boar Ribs
[3394]=3174,     -- Recipe: Potion of Curing
[3395]=3175,     -- Recipe: Limited Invulnerability Potion
[3396]=2333,     -- Recipe: Elixir of Lesser Agility
[3608]=3297,     -- Plans: Mighty Iron Hammer
[3609]=3321,     -- Plans: Copper Chain Vest
[3610]=3325,     -- Plans: Gemmed Copper Gauntlets
[3611]=3334,     -- Plans: Green Iron Boots
[3612]=3336,     -- Plans: Green Iron Gauntlets
[3678]=3370,     -- Recipe: Crocolisk Steak
[3679]=3371,     -- Recipe: Blood Sausage
[3680]=3372,     -- Recipe: Murloc Fin Soup
[3681]=3373,     -- Recipe: Crocolisk Gumbo
[3682]=3376,     -- Recipe: Curiously Tasty Omelet
[3683]=3377,     -- Recipe: Gooey Spider Cake
[3734]=3397,     -- Recipe: Big Bear Steak
[3735]=3398,     -- Recipe: Hot Lion Chops
[3736]=3399,     -- Recipe: Tasty Lion Steak
[3737]=3400,     -- Recipe: Soothing Turtle Bisque
[3830]=3450,     -- Recipe: Elixir of Fortitude
[3831]=3451,     -- Recipe: Major Troll's Blood Elixir
[3832]=3453,     -- Recipe: Elixir of Detect Lesser Invisibility
[3866]=3493,     -- Plans: Jade Serpentblade
[3867]=3495,     -- Plans: Golden Iron Destroyer
[3868]=3497,     -- Plans: Frost Tiger Blade
[3869]=3500,     -- Plans: Shadow Crescent Axe
[3870]=3504,     -- Plans: Green Iron Shoulders
[3871]=3505,     -- Plans: Golden Scale Shoulders
[3872]=3507,     -- Plans: Golden Scale Leggings
[3873]=3511,     -- Plans: Golden Scale Cuirass
[3874]=3513,     -- Plans: Polished Steel Boots
[3875]=3515,     -- Plans: Golden Scale Boots
[4292]=3758,     -- Pattern: Green Woolen Bag
[4293]=3762,     -- Pattern: Hillman's Leather Vest
[4294]=3767,     -- Pattern: Hillman's Belt
[4296]=3769,     -- Pattern: Dark Leather Shoulders
[4297]=3771,     -- Pattern: Barbaric Gloves
[4298]=3775,     -- Pattern: Guardian Belt
[4299]=3773,     -- Pattern: Guardian Armor
[4300]=3777,     -- Pattern: Guardian Leather Bracers
[4301]=3779,     -- Pattern: Barbaric Belt
[4345]=3847,     -- Pattern: Red Woolen Boots
[4346]=3844,     -- Pattern: Heavy Woolen Cloak
[4347]=3849,     -- Pattern: Reinforced Woolen Shoulders
[4348]=3868,     -- Pattern: Phoenix Gloves
[4349]=3851,     -- Pattern: Phoenix Pants
[4350]=3856,     -- Pattern: Spider Silk Slippers
[4351]=3858,     -- Pattern: Shadow Hood
[4352]=3860,     -- Pattern: Boots of the Enchanter
[4353]=3863,     -- Pattern: Spider Belt
[4354]=3872,     -- Pattern: Rich Purple Silk Shirt
[4355]=3862,     -- Pattern: Icy Cloak
[4356]=3864,     -- Pattern: Star Belt
[4408]=3928,     -- Schematic: Mechanical Squirrel Box
[4409]=3933,     -- Schematic: Small Seaforium Charge
[4410]=3940,     -- Schematic: Shadow Goggles
[4411]=3944,     -- Schematic: Flame Deflector
[4412]=3954,     -- Schematic: Moonsight Rifle
[4413]=3959,     -- Schematic: Discombobulator Ray
[4414]=3960,     -- Schematic: Portable Bronze Mortar
[4415]=3966,     -- Schematic: Craftsman's Monocle
[4416]=3968,     -- Schematic: Goblin Land Mine
[4417]=3972,     -- Schematic: Large Seaforium Charge
[4597]=4508,     -- Recipe: Discolored Healing Potion
[4609]=4094,     -- Recipe: Barbecued Buzzard Wing
[4624]=4942,     -- Recipe: Lesser Stoneshield Potion
[5083]=5244,     -- Pattern: Kodo Hide Bag
[5482]=6412,     -- Recipe: Kaldorei Spider Kabob
[5483]=6413,     -- Recipe: Scorpid Surprise
[5484]=6414,     -- Recipe: Roasted Kodo Meat
[5485]=6415,     -- Recipe: Fillet of Frenzy
[5486]=6416,     -- Recipe: Strider Stew
[5487]=6417,     -- Recipe: Dig Rat Stew
[5488]=6418,     -- Recipe: Crispy Lizard Tail
[5489]=6419,     -- Recipe: Lean Venison
[5528]=6501,     -- Recipe: Clam Chowder
[5543]=6518,     -- Plans: Iridescent Hammer
[5578]=2673,     -- Plans: Silvered Bronze Breastplate
[5640]=6617,     -- Recipe: Rage Potion
[5642]=6624,     -- Recipe: Free Action Potion
[5643]=6618,     -- Recipe: Great Rage Potion
[5771]=6686,     -- Pattern: Red Linen Bag
[5772]=6688,     -- Pattern: Red Woolen Bag
[5773]=6692,     -- Pattern: Robes of Arcana
[5774]=6693,     -- Pattern: Green Silk Pack
[5775]=6695,     -- Pattern: Black Silk Pack
[5786]=6702,     -- Pattern: Murloc Scale Belt
[5787]=6703,     -- Pattern: Murloc Scale Breastplate
[5788]=6704,     -- Pattern: Thick Murloc Armor
[5789]=6705,     -- Pattern: Murloc Scale Bracers
[5972]=7133,     -- Pattern: Fine Leather Pants
[5973]=7149,     -- Pattern: Barbaric Leggings
[5974]=7153,     -- Pattern: Guardian Cloak
[6039]=7213,     -- Recipe: Giant Clam Scorcho
[6044]=7221,     -- Plans: Iron Shield Spike
[6045]=7222,     -- Plans: Iron Counterweight
[6046]=7224,     -- Plans: Steel Weapon Chain
[6047]=3503,     -- Plans: Golden Scale Coif
[6053]=7255,     -- Recipe: Holy Protection Potion
[6054]=7256,     -- Recipe: Shadow Protection Potion
[6055]=7257,     -- Recipe: Fire Protection Potion
[6056]=7258,     -- Recipe: Frost Protection Potion
[6057]=7259,     -- Recipe: Nature Protection Potion
[6068]=3449,     -- Recipe: Shadow Oil
[6211]=3188,     -- Recipe: Elixir of Ogre's Strength
[6270]=7630,     -- Pattern: Blue Linen Vest
[6271]=7629,     -- Pattern: Red Linen Vest
[6272]=7633,     -- Pattern: Blue Linen Robe
[6274]=7639,     -- Pattern: Blue Overalls
[6275]=7643,     -- Pattern: Greater Adept's Robe
[6325]=7751,     -- Recipe: Brilliant Smallfish
[6326]=7752,     -- Recipe: Slitherskin Mackerel
[6328]=7753,     -- Recipe: Longjaw Mud Snapper
[6329]=7754,     -- Recipe: Loch Frenzy Delight
[6330]=7755,     -- Recipe: Bristle Whisker Catfish
[6342]=7443,     -- Formula: Enchant Chest - Minor Mana
[6344]=7766,     -- Formula: Enchant Bracer - Minor Spirit
[6346]=7776,     -- Formula: Enchant Chest - Lesser Mana
[6347]=7782,     -- Formula: Enchant Bracer - Minor Strength
[6348]=7786,     -- Formula: Enchant Weapon - Minor Beastslayer
[6349]=7793,     -- Formula: Enchant 2H Weapon - Lesser Intellect
[6368]=7827,     -- Recipe: Rainbow Fin Albacore
[6369]=7828,     -- Recipe: Rockscale Cod
[6375]=7859,     -- Formula: Enchant Bracer - Lesser Spirit
[6377]=7867,     -- Formula: Enchant Boots - Minor Agility
[6390]=7892,     -- Pattern: Stylish Blue Shirt
[6391]=7893,     -- Pattern: Stylish Green Shirt
[6401]=3870,     -- Pattern: Dark Silk Shirt
[6454]=7935,     -- Manual: Strong Anti-Venom
[6474]=7953,     -- Pattern: Deviate Scale Cloak
[6475]=7954,     -- Pattern: Deviate Scale Gloves
[6476]=7955,     -- Pattern: Deviate Scale Belt
[6661]=8238,     -- Recipe: Savory Deviate Delight
[6663]=8240,     -- Recipe: Elixir of Giant Growth
[6672]=8243,     -- Schematic: Flash Bomb
[6710]=8322,     -- Pattern: Moonglow Vest
[6716]=8339,     -- Schematic: EZ-Thro Dynamite
[6735]=8367,     -- Plans: Ironforge Breastplate
[6892]=8607,     -- Recipe: Smoked Bear Meat
[7084]=8793,     -- Pattern: Crimson Silk Shoulders
[7085]=8795,     -- Pattern: Azure Shoulders
[7086]=8797,     -- Pattern: Earthen Silk Belt
[7087]=8789,     -- Pattern: Crimson Silk Cloak
[7088]=8802,     -- Pattern: Crimson Silk Robe
[7089]=8786,     -- Pattern: Azure Silk Cloak
[7090]=8784,     -- Pattern: Green Silk Armor
[7091]=8782,     -- Pattern: Truefaith Gloves
[7092]=8780,     -- Pattern: Hands of Darkness
[7114]=3854,     -- Pattern: Azure Silk Gloves
[7288]=9064,     -- Pattern: Rugged Leather Pants
[7289]=9070,     -- Pattern: Black Whelp Cloak
[7290]=9072,     -- Pattern: Red Whelp Gloves
[7360]=3765,     -- Pattern: Dark Leather Gloves
[7361]=9146,     -- Pattern: Herbalist's Gloves
[7362]=9147,     -- Pattern: Earthen Leather Shoulders
[7363]=9148,     -- Pattern: Pilferer's Gloves
[7364]=9149,     -- Pattern: Heavy Earthen Gloves
[7449]=9195,     -- Pattern: Dusky Leather Leggings
[7450]=9197,     -- Pattern: Green Whelp Armor
[7451]=9202,     -- Pattern: Green Whelp Bracers
[7452]=9207,     -- Pattern: Dusky Boots
[7453]=9208,     -- Pattern: Swift Boots
[7560]=9269,     -- Schematic: Gnomish Universal Remote
[7561]=9273,     -- Schematic: Goblin Jumper Cables
[7613]=3772,     -- Pattern: Green Leather Armor
[7678]=9513,     -- Recipe: Thistle Tea
[7742]=3971,     -- Schematic: Gnomish Cloaking Device
[7975]=9933,     -- Plans: Heavy Mithril Pants
[7976]=9939,     -- Plans: Mithril Shield Spike
[7978]=9811,     -- Plans: Barbaric Iron Shoulders
[7979]=9813,     -- Plans: Barbaric Iron Breastplate
[7980]=9814,     -- Plans: Barbaric Iron Helm
[7981]=9818,     -- Plans: Barbaric Iron Boots
[7982]=9820,     -- Plans: Barbaric Iron Gloves
[7983]=9945,     -- Plans: Ornate Mithril Pants
[7984]=9950,     -- Plans: Ornate Mithril Gloves
[7985]=9952,     -- Plans: Ornate Mithril Shoulder
[7989]=9964,     -- Plans: Mithril Spurs
[7990]=9970,     -- Plans: Heavy Mithril Helm
[7991]=9966,     -- Plans: Mithril Scale Shoulders
[7992]=9995,     -- Plans: Blue Glittering Axe
[7993]=10005,    -- Plans: Dazzling Mithril Rapier
[7994]=9957,     -- Plans: Orcish War Leggings
[7995]=9937,     -- Plans: Mithril Scale Bracers
[8028]=10009,    -- Plans: Runed Mithril Hammer
[8029]=9997,     -- Plans: Wicked Mithril Blade
[8030]=10013,    -- Plans: Ebon Shiv
[8384]=10490,    -- Pattern: Comfortable Leather Hat
[8385]=10509,    -- Pattern: Turtle Scale Gloves
[8386]=10520,    -- Pattern: Big Voodoo Robe
[8387]=10531,    -- Pattern: Big Voodoo Mask
[8389]=10560,    -- Pattern: Big Voodoo Pants
[8390]=10562,    -- Pattern: Big Voodoo Cloak
[8395]=10525,    -- Pattern: Tough Scorpid Breastplate
[8397]=10533,    -- Pattern: Tough Scorpid Bracers
[8398]=10542,    -- Pattern: Tough Scorpid Gloves
[8399]=10554,    -- Pattern: Tough Scorpid Boots
[8400]=10564,    -- Pattern: Tough Scorpid Shoulders
[8401]=10568,    -- Pattern: Tough Scorpid Leggings
[8402]=10570,    -- Pattern: Tough Scorpid Helm
[8403]=10529,    -- Pattern: Wild Leather Shoulders
[8404]=10544,    -- Pattern: Wild Leather Vest
[8405]=10546,    -- Pattern: Wild Leather Helmet
[8406]=10566,    -- Pattern: Wild Leather Boots
[8407]=10572,    -- Pattern: Wild Leather Leggings
[8408]=10574,    -- Pattern: Wild Leather Cloak
[8409]=10516,    -- Pattern: Nightscape Shoulders
[9294]=11458,    -- Recipe: Wildvine Potion
[9295]=11464,    -- Recipe: Invisibility Potion
[9296]=11466,    -- Recipe: Gift of Arthas
[9297]=11468,    -- Recipe: Elixir of Dream Vision
[9298]=11472,    -- Recipe: Elixir of Giants
[9300]=11477,    -- Recipe: Elixir of Demonslaying
[9301]=11476,    -- Recipe: Elixir of Shadow Power
[9302]=11473,    -- Recipe: Ghost Dye
[9303]=11459,    -- Recipe: Philosopher's Stone
[9304]=11479,    -- Recipe: Transmute Iron to Gold
[9305]=11480,    -- Recipe: Transmute Mithril to Truesilver
[9367]=11643,    -- Plans: Golden Scale Gauntlets
[10300]=12056,   -- Pattern: Red Mageweave Vest
[10301]=12059,   -- Pattern: White Bandit Mask
[10302]=12060,   -- Pattern: Red Mageweave Pants
[10311]=12064,   -- Pattern: Orange Martial Shirt
[10312]=12066,   -- Pattern: Red Mageweave Gloves
[10314]=12075,   -- Pattern: Lavender Mageweave Shirt
[10315]=12078,   -- Pattern: Red Mageweave Shoulders
[10316]=12047,   -- Pattern: Colorful Kilt
[10317]=12080,   -- Pattern: Pink Mageweave Shirt
[10318]=12081,   -- Pattern: Admiral's Hat
[10320]=12084,   -- Pattern: Red Mageweave Headband
[10321]=12085,   -- Pattern: Tuxedo Shirt
[10323]=12089,   -- Pattern: Tuxedo Pants
[10325]=12091,   -- Pattern: White Wedding Dress
[10326]=12093,   -- Pattern: Tuxedo Jacket
[10424]=12259,   -- Plans: Silvered Bronze Leggings
[10463]=12086,   -- Pattern: Shadoweave Mask
[10601]=12587,   -- Schematic: Bright-Eye Goggles
[10602]=12597,   -- Schematic: Deadly Scope
[10603]=12607,   -- Schematic: Catseye Ultra Goggles
[10604]=12614,   -- Schematic: Mithril Heavy-Bore Rifle
[10605]=12615,   -- Schematic: Spellpower Goggles Xtreme
[10606]=12616,   -- Schematic: Parachute Cloak
[10607]=12617,   -- Schematic: Deepdive Helmet
[10608]=12620,   -- Schematic: Sniper Scope
[10609]=12624,   -- Schematic: Mithril Mechanical Dragonling
[10644]=11456,   -- Recipe: Goblin Rocket Fuel
[10713]=11454,   -- Plans: Inlaid Mithril Cylinder
[10728]=3873,    -- Pattern: Black Swashbuckler's Shirt
[10858]=3494,    -- Plans: Solid Iron Maul
[11038]=13380,   -- Formula: Enchant 2H Weapon - Lesser Spirit
[11039]=13419,   -- Formula: Enchant Cloak - Minor Agility
[11081]=13464,   -- Formula: Enchant Shield - Lesser Protection
[11101]=13536,   -- Formula: Enchant Bracer - Lesser Strength
[11150]=13612,   -- Formula: Enchant Gloves - Mining
[11151]=13617,   -- Formula: Enchant Gloves - Herbalism
[11152]=13620,   -- Formula: Enchant Gloves - Fishing
[11163]=13646,   -- Formula: Enchant Bracer - Lesser Dodge
[11164]=13653,   -- Formula: Enchant Weapon - Lesser Beastslayer
[11165]=13655,   -- Formula: Enchant Weapon - Lesser Elemental Slayer
[11166]=13698,   -- Formula: Enchant Gloves - Skinning
[11167]=13687,   -- Formula: Enchant Boots - Lesser Spirit
[11168]=13689,   -- Formula: Enchant Shield - Lesser Parry
[11202]=13817,   -- Formula: Enchant Shield - Stamina
[11203]=13841,   -- Formula: Enchant Gloves - Advanced Mining
[11204]=13846,   -- Formula: Enchant Bracer - Greater Spirit
[11205]=13868,   -- Formula: Enchant Gloves - Advanced Herbalism
[11206]=13882,   -- Formula: Enchant Cloak - Lesser Agility
[11207]=13898,   -- Formula: Enchant Weapon - Fiery Weapon
[11208]=13915,   -- Formula: Enchant Weapon - Demonslaying
[11223]=13931,   -- Formula: Enchant Bracer - Dodge
[11225]=13945,   -- Formula: Enchant Bracer - Greater Stamina
[11226]=13947,   -- Formula: Enchant Gloves - Riding Skill
[11610]=15292,   -- Plans: Dark Iron Pulverizer
[11611]=15294,   -- Plans: Dark Iron Sunderer
[11612]=15296,   -- Plans: Dark Iron Plate
[11614]=15293,   -- Plans: Dark Iron Mail
[11615]=15295,   -- Plans: Dark Iron Shoulders
[11813]=15596,   -- Formula: Smoking Heart of the Mountain
[11827]=15633,   -- Schematic: Lil' Smoky
[11828]=15628,   -- Schematic: Pet Bombling
[12162]=3492,    -- Plans: Hardened Iron Shortsword
[12163]=3496,    -- Plans: Moonsteel Broadsword
[12164]=3498,    -- Plans: Massive Iron Axe
[12226]=15935,   -- Recipe: Crispy Bat Wing
[12227]=15853,   -- Recipe: Lean Wolf Steak
[12228]=15855,   -- Recipe: Roast Raptor
[12229]=15856,   -- Recipe: Hot Wolf Ribs
[12231]=15861,   -- Recipe: Jungle Stew
[12232]=15863,   -- Recipe: Carrion Surprise
[12233]=15865,   -- Recipe: Mystery Stew
[12239]=15906,   -- Recipe: Dragonbreath Chili
[12240]=15910,   -- Recipe: Heavy Kodo Stew
[12261]=15973,   -- Plans: Searing Golden Blade
[12682]=16642,   -- Plans: Thorium Armor
[12683]=16643,   -- Plans: Thorium Belt
[12684]=16644,   -- Plans: Thorium Bracers
[12685]=16645,   -- Plans: Radiant Belt
[12687]=16646,   -- Plans: Imperial Plate Shoulders
[12688]=16647,   -- Plans: Imperial Plate Belt
[12689]=16648,   -- Plans: Radiant Breastplate
[12690]=16649,   -- Plans: Imperial Plate Bracers
[12691]=16650,   -- Plans: Wildthorn Mail
[12692]=16651,   -- Plans: Thorium Shield Spike
[12693]=16652,   -- Plans: Thorium Boots
[12694]=16653,   -- Plans: Thorium Helm
[12695]=16654,   -- Plans: Radiant Gloves
[12696]=16667,   -- Plans: Demon Forged Breastplate
[12697]=16656,   -- Plans: Radiant Boots
[12698]=16660,   -- Plans: Dawnbringer Shoulders
[12699]=16655,   -- Plans: Fiery Plate Gauntlets
[12700]=16657,   -- Plans: Imperial Plate Boots
[12701]=16658,   -- Plans: Imperial Plate Helm
[12702]=16659,   -- Plans: Radiant Circlet
[12703]=16661,   -- Plans: Storm Gauntlets
[12704]=16662,   -- Plans: Thorium Leggings
[12705]=16663,   -- Plans: Imperial Plate Chest
[12706]=16664,   -- Plans: Runic Plate Shoulders
[12707]=16665,   -- Plans: Runic Plate Boots
[12711]=16724,   -- Plans: Whitesoul Helm
[12713]=16725,   -- Plans: Radiant Leggings
[12714]=16726,   -- Plans: Runic Plate Helm
[12715]=16730,   -- Plans: Imperial Plate Leggings
[12716]=16728,   -- Plans: Helm of the Great Chief
[12717]=16729,   -- Plans: Lionheart Helm
[12718]=16731,   -- Plans: Runic Breastplate
[12719]=16732,   -- Plans: Runic Plate Leggings
[12720]=16741,   -- Plans: Stronghold Gauntlets
[12725]=16742,   -- Plans: Enchanted Thorium Helm
[12726]=16744,   -- Plans: Enchanted Thorium Leggings
[12727]=16745,   -- Plans: Enchanted Thorium Breastplate
[12728]=16746,   -- Plans: Invulnerable Mail
[12819]=16969,   -- Plans: Ornate Thorium Handaxe
[12821]=16970,   -- Plans: Dawn's Edge
[12823]=16971,   -- Plans: Huge Thorium Battleaxe
[12824]=16973,   -- Plans: Enchanted Battlehammer
[12825]=16978,   -- Plans: Blazing Rapier
[12827]=16983,   -- Plans: Serenity
[12828]=16984,   -- Plans: Volcanic Hammer
[12830]=16985,   -- Plans: Corruption
[12833]=16988,   -- Plans: Hammer of the Titans
[12834]=16990,   -- Plans: Arcanite Champion
[12835]=16991,   -- Plans: Annihilator
[12836]=16992,   -- Plans: Frostguard
[12837]=16993,   -- Plans: Masterwork Stormhammer
[12838]=16994,   -- Plans: Arcanite Reaper
[12839]=16995,   -- Plans: Heartseeker
[12958]=17187,   -- Recipe: Transmute Arcanite
[13287]=4096,    -- Pattern: Raptor Hide Harness
[13288]=4097,    -- Pattern: Raptor Hide Belt
[13308]=3957,    -- Schematic: Ice Deflector
[13309]=3939,    -- Schematic: Lovingly Crafted Boomstick
[13310]=3979,    -- Schematic: Accurate Scope
[13311]=3969,    -- Schematic: Mechanical Dragonling
[13476]=17552,   -- Recipe: Mighty Rage Potion
[13477]=17553,   -- Recipe: Superior Mana Potion
[13478]=17554,   -- Recipe: Elixir of Superior Defense
[13479]=17555,   -- Recipe: Elixir of the Sages
[13480]=17556,   -- Recipe: Major Healing Potion
[13481]=17557,   -- Recipe: Elixir of Brute Force
[13482]=17559,   -- Recipe: Transmute Air to Fire
[13483]=17560,   -- Recipe: Transmute Fire to Earth
[13484]=17561,   -- Recipe: Transmute Earth to Water
[13485]=17562,   -- Recipe: Transmute Water to Air
[13486]=17563,   -- Recipe: Transmute Undeath to Water
[13487]=17564,   -- Recipe: Transmute Water to Undeath
[13488]=17565,   -- Recipe: Transmute Life to Earth
[13489]=17566,   -- Recipe: Transmute Earth to Life
[13490]=17570,   -- Recipe: Greater Stoneshield Potion
[13491]=17571,   -- Recipe: Elixir of the Mongoose
[13492]=17572,   -- Recipe: Purification Potion
[13493]=17573,   -- Recipe: Greater Arcane Elixir
[13494]=17574,   -- Recipe: Greater Fire Protection Potion
[13495]=17575,   -- Recipe: Greater Frost Protection Potion
[13496]=17576,   -- Recipe: Greater Nature Protection Potion
[13497]=17577,   -- Recipe: Greater Arcane Protection Potion
[13499]=17578,   -- Recipe: Greater Shadow Protection Potion
[13501]=17580,   -- Recipe: Major Mana Potion
[13517]=17632,   -- Recipe: Alchemist Stone
[13518]=17634,   -- Recipe: Potion of Petrification
[13519]=17635,   -- Recipe: Flask of the Titans
[13520]=17636,   -- Recipe: Flask of Distilled Wisdom
[13521]=17637,   -- Recipe: Flask of Supreme Power
[13939]=18238,   -- Recipe: Spotted Yellowtail
[13940]=18239,   -- Recipe: Cooked Glossy Mightfish
[13941]=18241,   -- Recipe: Filet of Redgill
[13942]=18240,   -- Recipe: Grilled Squid
[13943]=18242,   -- Recipe: Hot Smoked Bass
[13945]=18243,   -- Recipe: Nightfin Soup
[13946]=18244,   -- Recipe: Poached Sunscale Salmon
[13947]=18245,   -- Recipe: Lobster Stew
[13948]=18246,   -- Recipe: Mightfish Steak
[13949]=18247,   -- Recipe: Baked Salmon
[14466]=18403,   -- Pattern: Frostweave Tunic
[14467]=18404,   -- Pattern: Frostweave Robe
[14468]=18405,   -- Pattern: Runecloth Bag
[14469]=18406,   -- Pattern: Runecloth Robe
[14470]=18407,   -- Pattern: Runecloth Tunic
[14471]=18408,   -- Pattern: Cindercloth Vest
[14472]=18409,   -- Pattern: Runecloth Cloak
[14473]=18410,   -- Pattern: Ghostweave Belt
[14474]=18411,   -- Pattern: Frostweave Gloves
[14476]=18412,   -- Pattern: Cindercloth Gloves
[14477]=18413,   -- Pattern: Ghostweave Gloves
[14479]=18415,   -- Pattern: Brightcloth Gloves
[14480]=18416,   -- Pattern: Ghostweave Vest
[14481]=18417,   -- Pattern: Runecloth Gloves
[14482]=18418,   -- Pattern: Cindercloth Cloak
[14483]=18419,   -- Pattern: Felcloth Pants
[14484]=18420,   -- Pattern: Brightcloth Cloak
[14485]=18421,   -- Pattern: Wizardweave Leggings
[14486]=18422,   -- Pattern: Cloak of Fire
[14488]=18423,   -- Pattern: Runecloth Boots
[14489]=18424,   -- Pattern: Frostweave Pants
[14490]=18434,   -- Pattern: Cindercloth Pants
[14491]=18438,   -- Pattern: Runecloth Pants
[14492]=18437,   -- Pattern: Felcloth Boots
[14493]=18436,   -- Pattern: Robe of Winter Night
[14494]=18439,   -- Pattern: Brightcloth Pants
[14495]=18441,   -- Pattern: Ghostweave Pants
[14496]=18442,   -- Pattern: Felcloth Hood
[14497]=18440,   -- Pattern: Mooncloth Leggings
[14498]=18444,   -- Pattern: Runecloth Headband
[14499]=18445,   -- Pattern: Mooncloth Bag
[14500]=18446,   -- Pattern: Wizardweave Robe
[14501]=18447,   -- Pattern: Mooncloth Vest
[14504]=18449,   -- Pattern: Runecloth Shoulders
[14505]=18450,   -- Pattern: Wizardweave Turban
[14506]=18451,   -- Pattern: Felcloth Robe
[14507]=18448,   -- Pattern: Mooncloth Shoulders
[14508]=18453,   -- Pattern: Felcloth Shoulders
[14509]=18452,   -- Pattern: Mooncloth Circlet
[14510]=18455,   -- Pattern: Bottomless Bag
[14511]=18454,   -- Pattern: Gloves of Spell Mastery
[14512]=18456,   -- Pattern: Truefaith Vestments
[14513]=18457,   -- Pattern: Robe of the Archmage
[14514]=18458,   -- Pattern: Robe of the Void
[14526]=18560,   -- Pattern: Mooncloth
[14627]=3869,    -- Pattern: Bright Yellow Shirt
[14630]=3857,    -- Pattern: Enchanter's Cowl
[14634]=3454,    -- Recipe: Frost Oil
[14635]=3778,    -- Pattern: Gem-Studded Leather Belt
[14639]=3952,    -- Schematic: Minor Recombobulator
[15724]=19048,   -- Pattern: Heavy Scorpid Bracers
[15725]=19049,   -- Pattern: Wicked Leather Gauntlets
[15726]=19050,   -- Pattern: Green Dragonscale Breastplate
[15727]=19051,   -- Pattern: Heavy Scorpid Vest
[15728]=19052,   -- Pattern: Wicked Leather Bracers
[15729]=19053,   -- Pattern: Chimeric Gloves
[15730]=19054,   -- Pattern: Red Dragonscale Breastplate
[15731]=19055,   -- Pattern: Runic Leather Gauntlets
[15732]=19059,   -- Pattern: Volcanic Leggings
[15733]=19060,   -- Pattern: Green Dragonscale Leggings
[15734]=19061,   -- Pattern: Living Shoulders
[15735]=19062,   -- Pattern: Ironfeather Shoulders
[15737]=19063,   -- Pattern: Chimeric Boots
[15738]=19064,   -- Pattern: Heavy Scorpid Gauntlets
[15739]=19065,   -- Pattern: Runic Leather Bracers
[15740]=19066,   -- Pattern: Frostsaber Boots
[15741]=19067,   -- Pattern: Stormshroud Pants
[15742]=19068,   -- Pattern: Warbear Harness
[15743]=19070,   -- Pattern: Heavy Scorpid Belt
[15744]=19071,   -- Pattern: Wicked Leather Headband
[15745]=19072,   -- Pattern: Runic Leather Belt
[15746]=19073,   -- Pattern: Chimeric Leggings
[15747]=19074,   -- Pattern: Frostsaber Leggings
[15748]=19075,   -- Pattern: Heavy Scorpid Leggings
[15749]=19076,   -- Pattern: Volcanic Breastplate
[15751]=19077,   -- Pattern: Blue Dragonscale Breastplate
[15752]=19078,   -- Pattern: Living Leggings
[15753]=19079,   -- Pattern: Stormshroud Armor
[15754]=19080,   -- Pattern: Warbear Woolies
[15755]=19081,   -- Pattern: Chimeric Vest
[15756]=19082,   -- Pattern: Runic Leather Headband
[15757]=19083,   -- Pattern: Wicked Leather Pants
[15758]=19084,   -- Pattern: Devilsaur Gauntlets
[15759]=19085,   -- Pattern: Black Dragonscale Breastplate
[15760]=19086,   -- Pattern: Ironfeather Breastplate
[15761]=19087,   -- Pattern: Frostsaber Gloves
[15762]=19088,   -- Pattern: Heavy Scorpid Helm
[15763]=19089,   -- Pattern: Blue Dragonscale Shoulders
[15764]=19090,   -- Pattern: Stormshroud Shoulders
[15765]=19091,   -- Pattern: Runic Leather Pants
[15768]=19092,   -- Pattern: Wicked Leather Belt
[15769]=19093,   -- Pattern: Onyxia Scale Cloak
[15770]=19094,   -- Pattern: Black Dragonscale Shoulders
[15771]=19095,   -- Pattern: Living Breastplate
[15772]=19097,   -- Pattern: Devilsaur Leggings
[15773]=19098,   -- Pattern: Wicked Leather Armor
[15774]=19100,   -- Pattern: Heavy Scorpid Shoulders
[15775]=19101,   -- Pattern: Volcanic Shoulders
[15776]=19102,   -- Pattern: Runic Leather Armor
[15777]=19103,   -- Pattern: Runic Leather Shoulders
[15779]=19104,   -- Pattern: Frostsaber Tunic
[15780]=19106,   -- Pattern: Onyxia Scale Breastplate
[15781]=19107,   -- Pattern: Black Dragonscale Leggings
[16041]=19790,   -- Schematic: Thorium Grenade
[16042]=19791,   -- Schematic: Thorium Widget
[16043]=19792,   -- Schematic: Thorium Rifle
[16044]=19793,   -- Schematic: Lifelike Mechanical Toad
[16045]=19794,   -- Schematic: Spellpower Goggles Xtreme Plus
[16046]=19814,   -- Schematic: Masterwork Target Dummy
[16047]=19795,   -- Schematic: Thorium Tube
[16048]=19796,   -- Schematic: Dark Iron Rifle
[16049]=19799,   -- Schematic: Dark Iron Bomb
[16050]=19815,   -- Schematic: Delicate Arcanite Converter
[16052]=19819,   -- Schematic: Voice Amplification Modulator
[16053]=19825,   -- Schematic: Master Engineer's Goggles
[16054]=19830,   -- Schematic: Arcanite Dragonling
[16055]=19831,   -- Schematic: Arcane Bomb
[16056]=19833,   -- Schematic: Flawless Arcanite Rifle
[16110]=15933,   -- Recipe: Monster Omelet
[16111]=15915,   -- Recipe: Spiced Chili Crab
[16112]=7929,    -- Manual: Heavy Silk Bandage
[16113]=10840,   -- Manual: Mageweave Bandage
[16214]=20008,   -- Formula: Enchant Bracer - Greater Intellect
[16215]=20020,   -- Formula: Enchant Boots - Greater Stamina
[16217]=20017,   -- Formula: Enchant Shield - Greater Stamina
[16218]=20009,   -- Formula: Enchant Bracer - Superior Spirit
[16219]=20012,   -- Formula: Enchant Gloves - Greater Agility
[16220]=20024,   -- Formula: Enchant Boots - Spirit
[16221]=20026,   -- Formula: Enchant Chest - Major Health
[16223]=20029,   -- Formula: Enchant Weapon - Icy Chill
[16224]=20015,   -- Formula: Enchant Cloak - Superior Defense
[16242]=20028,   -- Formula: Enchant Chest - Major Mana
[16244]=20013,   -- Formula: Enchant Gloves - Greater Strength
[16245]=20023,   -- Formula: Enchant Boots - Greater Agility
[16246]=20010,   -- Formula: Enchant Bracer - Superior Strength
[16247]=20030,   -- Formula: Enchant 2H Weapon - Superior Impact
[16248]=20033,   -- Formula: Enchant Weapon - Unholy
[16249]=20036,   -- Formula: Enchant 2H Weapon - Major Intellect
[16250]=20031,   -- Formula: Enchant Weapon - Superior Striking
[16251]=20011,   -- Formula: Enchant Bracer - Superior Stamina
[16252]=20034,   -- Formula: Enchant Weapon - Crusader
[16253]=20025,   -- Formula: Enchant Chest - Greater Stats
[16254]=20032,   -- Formula: Enchant Weapon - Lifestealing
[16255]=20035,   -- Formula: Enchant 2H Weapon - Major Spirit
[16767]=20626,   -- Recipe: Undermine Clam Chowder
[17017]=20848,   -- Pattern: Flarecore Mantle
[17018]=20849,   -- Pattern: Flarecore Gloves
[17022]=20853,   -- Pattern: Corehound Boots
[17023]=20854,   -- Pattern: Molten Helm
[17025]=20855,   -- Pattern: Black Dragonscale Boots
[17049]=20872,   -- Plans: Fiery Chain Girdle
[17051]=20874,   -- Plans: Dark Iron Bracers
[17052]=20876,   -- Plans: Dark Iron Leggings
[17053]=20873,   -- Plans: Fiery Chain Shoulders
[17059]=20890,   -- Plans: Dark Iron Reaver
[17060]=20897,   -- Plans: Dark Iron Destroyer
[17062]=20916,   -- Recipe: Mithril Head Trout
[17200]=21143,   -- Recipe: Gingerbread Cookie
[17201]=21144,   -- Recipe: Winter Veil Egg Nog
[17706]=21913,   -- Plans: Edge of Winter
[17709]=21923,   -- Recipe: Elixir of Frost Power
[17720]=21940,   -- Schematic: Snowmaster 9000
[17722]=21943,   -- Pattern: Gloves of the Greatfather
[17724]=21945,   -- Pattern: Green Holiday Shirt
[17725]=21931,   -- Formula: Enchant Weapon - Winter's Might
[18046]=22480,   -- Recipe: Tender Wolf Steak
[18160]=9513,    -- Recipe: Thistle Tea
[18239]=22711,   -- Pattern: Shadowskin Gloves
[18252]=22727,   -- Pattern: Core Armor Kit
[18257]=22732,   -- Recipe: Major Rejuvenation Potion
[18259]=22749,   -- Formula: Enchant Weapon - Spellpower
[18260]=22750,   -- Formula: Enchant Weapon - Healing Power
[18264]=22757,   -- Plans: Elemental Sharpening Stone
[18265]=22759,   -- Pattern: Flarecore Wraps
[18267]=22761,   -- Recipe: Runn Tum Tuber Surprise
[18290]=22793,   -- Schematic: Biznicks 247x128 Accurascope
[18291]=22797,   -- Schematic: Force Reactive Disk
[18292]=22795,   -- Schematic: Core Marksman Rifle
[18414]=22866,   -- Pattern: Belt of the Archmage
[18415]=22867,   -- Pattern: Felcloth Gloves
[18416]=22868,   -- Pattern: Inferno Gloves
[18417]=22869,   -- Pattern: Mooncloth Gloves
[18418]=22870,   -- Pattern: Cloak of Warding
[18487]=22902,   -- Pattern: Mooncloth Robe
[18514]=22921,   -- Pattern: Girdle of Insight
[18515]=22922,   -- Pattern: Mongoose Boots
[18516]=22923,   -- Pattern: Swift Flight Bracers
[18517]=22926,   -- Pattern: Chromatic Cloak
[18518]=22927,   -- Pattern: Hide of the Wild
[18519]=22928,   -- Pattern: Shifting Cloak
[18592]=21161,   -- Plans: Sulfuron Hammer
[18647]=23066,   -- Schematic: Red Firework
[18648]=23068,   -- Schematic: Green Firework
[18649]=23067,   -- Schematic: Blue Firework
[18650]=23069,   -- Schematic: EZ-Thro Dynamite II
[18651]=23071,   -- Schematic: Truesilver Transformer
[18652]=23077,   -- Schematic: Gyrofreeze Ice Reflector
[18653]=23078,   -- Schematic: Goblin Jumper Cables XL
[18654]=23096,   -- Schematic: Gnomish Alarm-o-Bot
[18655]=23079,   -- Schematic: Major Recombobulator
[18656]=23080,   -- Schematic: Powerful Seaforium Charge
[18657]=23081,   -- Schematic: Hyper-Radiant Flame Reflector
[18658]=23082,   -- Schematic: Ultra-Flash Shadow Reflector
[18661]=23129,   -- Schematic: World Enlarger
[18731]=23190,   -- Pattern: Heavy Leather Ball
[18949]=23399,   -- Pattern: Barbaric Bracers
[19027]=23507,   -- Schematic: Snake Burst Firework
[19202]=23628,   -- Plans: Heavy Timbermaw Belt
[19203]=23632,   -- Plans: Girdle of the Dawn
[19204]=23629,   -- Plans: Heavy Timbermaw Boots
[19205]=23633,   -- Plans: Gloves of the Dawn
[19206]=23636,   -- Plans: Dark Iron Helm
[19207]=23637,   -- Plans: Dark Iron Gauntlets
[19208]=23638,   -- Plans: Black Amnesty
[19209]=23639,   -- Plans: Blackfury
[19210]=23650,   -- Plans: Ebon Hand
[19211]=23652,   -- Plans: Blackguard
[19212]=23653,   -- Plans: Nightfall
[19215]=23662,   -- Pattern: Wisdom of the Timbermaw
[19216]=23664,   -- Pattern: Argent Boots
[19217]=23665,   -- Pattern: Argent Shoulders
[19218]=23663,   -- Pattern: Mantle of the Timbermaw
[19219]=23666,   -- Pattern: Flarecore Robe
[19220]=23667,   -- Pattern: Flarecore Leggings
[19326]=23703,   -- Pattern: Might of the Timbermaw
[19327]=23704,   -- Pattern: Timbermaw Brawlers
[19328]=23705,   -- Pattern: Dawn Treaders
[19329]=23706,   -- Pattern: Golden Mantle of the Dawn
[19330]=23707,   -- Pattern: Lava Belt
[19331]=23708,   -- Pattern: Chromatic Gauntlets
[19332]=23709,   -- Pattern: Corehound Belt
[19333]=23710,   -- Pattern: Molten Belt
[19442]=23787,   -- Formula: Powerful Anti-Venom
[19444]=23799,   -- Formula: Enchant Weapon - Strength
[19445]=23800,   -- Formula: Enchant Weapon - Agility
[19446]=23801,   -- Formula: Enchant Bracer - Mana Regeneration
[19447]=23802,   -- Formula: Enchant Bracer - Healing Power
[19448]=23803,   -- Formula: Enchant Weapon - Mighty Spirit
[19449]=23804,   -- Formula: Enchant Weapon - Mighty Intellect
[19764]=24091,   -- Pattern: Bloodvine Vest
[19765]=24092,   -- Pattern: Bloodvine Leggings
[19766]=24093,   -- Pattern: Bloodvine Boots
[19769]=24121,   -- Pattern: Primal Batskin Jerkin
[19770]=24122,   -- Pattern: Primal Batskin Gloves
[19771]=24123,   -- Pattern: Primal Batskin Bracers
[19772]=24124,   -- Pattern: Blood Tiger Breastplate
[19773]=24125,   -- Pattern: Blood Tiger Shoulders
[19776]=24136,   -- Plans: Bloodsoul Breastplate
[19777]=24137,   -- Plans: Bloodsoul Shoulders
[19778]=24138,   -- Plans: Bloodsoul Gauntlets
[19779]=24139,   -- Plans: Darksoul Breastplate
[19780]=24140,   -- Plans: Darksoul Leggings
[19781]=24141,   -- Plans: Darksoul Shoulders
[20000]=24356,   -- Schematic: Bloodvine Goggles
[20001]=24357,   -- Schematic: Bloodvine Lens
[20011]=24365,   -- Recipe: Mageblood Elixir
[20012]=24366,   -- Recipe: Greater Dreamless Sleep Potion
[20013]=24367,   -- Recipe: Living Action Potion
[20014]=24368,   -- Recipe: Mighty Troll's Blood Elixir
[20040]=24399,   -- Plans: Dark Iron Boots
[20075]=24418,   -- Recipe: Heavy Crocolisk Stew
[20253]=19068,   -- Pattern: Warbear Harness
[20254]=19080,   -- Pattern: Warbear Woolies
[20382]=24703,   -- Pattern: Dreamscale Breastplate
[20506]=24846,   -- Pattern: Spitfire Bracers
[20507]=24847,   -- Pattern: Spitfire Gauntlets
[20508]=24848,   -- Pattern: Spitfire Breastplate
[20509]=24849,   -- Pattern: Sandstalker Bracers
[20510]=24850,   -- Pattern: Sandstalker Gauntlets
[20511]=24851,   -- Pattern: Sandstalker Breastplate
[20546]=24901,   -- Pattern: Runed Stygian Leggings
[20547]=24903,   -- Pattern: Runed Stygian Boots
[20548]=24902,   -- Pattern: Runed Stygian Belt
[20553]=24912,   -- Plans: Darkrune Gauntlets
[20554]=24914,   -- Plans: Darkrune Breastplate
[20555]=24913,   -- Plans: Darkrune Helm
[20576]=24940,   -- Pattern: Black Whelp Tunic
[20726]=25072,   -- Formula: Enchant Gloves - Threat
[20727]=25073,   -- Formula: Enchant Gloves - Shadow Power
[20728]=25074,   -- Formula: Enchant Gloves - Frost Power
[20729]=25078,   -- Formula: Enchant Gloves - Fire Power
[20730]=25079,   -- Formula: Enchant Gloves - Healing Power
[20731]=25080,   -- Formula: Enchant Gloves - Superior Agility
[20734]=25083,   -- Formula: Enchant Cloak - Stealth
[20735]=25084,   -- Formula: Enchant Cloak - Subtlety
[20736]=25086,   -- Formula: Enchant Cloak - Dodge
[20752]=25125,   -- Formula: Minor Mana Oil
[20753]=25126,   -- Formula: Lesser Wizard Oil
[20754]=25127,   -- Formula: Lesser Mana Oil
[20755]=25128,   -- Formula: Wizard Oil
[20756]=25129,   -- Formula: Brilliant Wizard Oil
[20757]=25130,   -- Formula: Brilliant Mana Oil
[20758]=25124,   -- Formula: Minor Wizard Oil
[20761]=25146,   -- Recipe: Transmute Elemental Fire
[20854]=25339,   -- Design: Amulet of the Moon
[20855]=25323,   -- Design: Wicked Moonstone Ring
[20856]=25320,   -- Design: Heavy Golden Necklace of Battle
[20970]=25610,   -- Design: Pendant of the Agate Shield
[20971]=25612,   -- Design: Heavy Iron Knuckles
[20973]=25617,   -- Design: Blazing Citrine Ring
[20974]=25618,   -- Design: Jade Pendant of Blasting
[20975]=25619,   -- Design: The Jade Eye
[20976]=25622,   -- Design: Citrine Pendant of Golden Healing
[21025]=25659,   -- Recipe: Dirge's Kickin' Chimaerok Chops
[21099]=25704,   -- Recipe: Smoked Sagefish
[21219]=25954,   -- Recipe: Sagefish Delight
[21358]=26085,   -- Pattern: Soul Pouch
[21369]=26086,   -- Pattern: Felcloth Bag
[21371]=26087,   -- Pattern: Core Felcloth Bag
[21547]=26277,   -- Recipe: Elixir of Greater Firepower
[21548]=26279,   -- Pattern: Stormshroud Gloves
[21722]=26403,   -- Pattern: Festival Dress
[21723]=26407,   -- Pattern: Festival Suit
[21724]=26416,   -- Schematic: Small Blue Rocket
[21725]=26417,   -- Schematic: Small Green Rocket
[21726]=26418,   -- Schematic: Small Red Rocket
[21727]=26420,   -- Schematic: Large Blue Rocket
[21728]=26421,   -- Schematic: Large Green Rocket
[21729]=26422,   -- Schematic: Large Red Rocket
[21730]=26423,   -- Schematic: Blue Rocket Cluster
[21731]=26424,   -- Schematic: Green Rocket Cluster
[21732]=26425,   -- Schematic: Red Rocket Cluster
[21733]=26426,   -- Schematic: Large Blue Rocket Cluster
[21734]=26427,   -- Schematic: Large Green Rocket Cluster
[21735]=26428,   -- Schematic: Large Red Rocket Cluster
[21738]=26442,   -- Schematic: Firework Launcher
[21892]=26747,   -- Pattern: Bolt of Imbued Netherweave
[21893]=26749,   -- Pattern: Imbued Netherweave Bag
[21894]=26750,   -- Pattern: Bolt of Soulcloth
[21895]=26751,   -- Pattern: Primal Mooncloth
[21896]=26773,   -- Pattern: Netherweave Robe
[21897]=26774,   -- Pattern: Netherweave Tunic
[21898]=26775,   -- Pattern: Imbued Netherweave Pants
[21899]=26776,   -- Pattern: Imbued Netherweave Boots
[21900]=26777,   -- Pattern: Imbued Netherweave Robe
[21901]=26778,   -- Pattern: Imbued Netherweave Tunic
[21902]=26779,   -- Pattern: Soulcloth Gloves
[21903]=26780,   -- Pattern: Soulcloth Shoulders
[21904]=26781,   -- Pattern: Soulcloth Vest
[21905]=26782,   -- Pattern: Arcanoweave Bracers
[21906]=26783,   -- Pattern: Arcanoweave Boots
[21907]=26784,   -- Pattern: Arcanoweave Robe
[21908]=26752,   -- Pattern: Spellfire Belt
[21909]=26753,   -- Pattern: Spellfire Gloves
[21910]=26754,   -- Pattern: Spellfire Robe
[21911]=26755,   -- Pattern: Spellfire Bag
[21912]=26756,   -- Pattern: Frozen Shadoweave Shoulders
[21913]=26758,   -- Pattern: Frozen Shadoweave Robe
[21914]=26757,   -- Pattern: Frozen Shadoweave Boots
[21915]=26759,   -- Pattern: Ebon Shadowbag
[21916]=26760,   -- Pattern: Primal Mooncloth Belt
[21917]=26762,   -- Pattern: Primal Mooncloth Robe
[21918]=26761,   -- Pattern: Primal Mooncloth Shoulders
[21919]=26763,   -- Pattern: Primal Mooncloth Bag
[21940]=26873,   -- Design: Golden Hare
[21941]=26875,   -- Design: Black Pearl Panther
[21942]=26878,   -- Design: Ruby Crown of Restoration
[21943]=26881,   -- Design: Truesilver Crab
[21944]=26882,   -- Design: Truesilver Boar
[21945]=26887,   -- Design: The Aquamarine Ward
[21947]=26896,   -- Design: Gem Studded Band
[21948]=26897,   -- Design: Opal Necklace of Impact
[21949]=26900,   -- Design: Ruby Serpent
[21952]=26906,   -- Design: Emerald Crown of Destruction
[21953]=26909,   -- Design: Emerald Owl
[21954]=26910,   -- Design: Ring of Bitter Shadows
[21955]=26912,   -- Design: Black Diamond Crab
[21956]=26914,   -- Design: Dark Iron Scorpid
[21957]=26915,   -- Design: Necklace of the Diamond Tower
[21992]=27032,   -- Manual: Netherweave Bandage
[21993]=27033,   -- Manual: Heavy Netherweave Bandage
[22209]=27585,   -- Plans: Heavy Obsidian Belt
[22214]=27588,   -- Plans: Light Obsidian Belt
[22219]=27586,   -- Plans: Jagged Obsidian Shield
[22220]=27589,   -- Plans: Black Grasp of the Destroyer
[22221]=27590,   -- Plans: Obsidian Mail Tunic
[22222]=27587,   -- Plans: Thick Obsidian Breastplate
[22307]=27658,   -- Pattern: Enchanted Mageweave Pouch
[22308]=27659,   -- Pattern: Enchanted Runecloth Bag
[22309]=27660,   -- Pattern: Big Bag of Enchantment
[22310]=27724,   -- Pattern: Cenarion Herb Bag
[22312]=27725,   -- Pattern: Satchel of Cenarius
[22388]=27829,   -- Plans: Titanic Leggings
[22389]=27832,   -- Plans: Sageblade
[22390]=27830,   -- Plans: Persuader
[22392]=27837,   -- Formula: Enchant 2H Weapon - Agility
[22530]=27906,   -- Formula: Enchant Bracer - Greater Dodge
[22531]=27911,   -- Formula: Enchant Bracer - Superior Healing
[22532]=27913,   -- Formula: Enchant Bracer - Restore Mana Prime
[22533]=27914,   -- Formula: Enchant Bracer - Fortitude
[22534]=27917,   -- Formula: Enchant Bracer - Spellpower
[22535]=27920,   -- Formula: Enchant Ring - Striking
[22536]=27924,   -- Formula: Enchant Ring - Minor Intellect
[22538]=27927,   -- Formula: Enchant Ring - Stats
[22539]=27945,   -- Formula: Enchant Shield - Intellect
[22540]=27946,   -- Formula: Enchant Shield - Parry
[22542]=27948,   -- Formula: Enchant Boots - Vitality
[22543]=27950,   -- Formula: Enchant Boots - Fortitude
[22544]=27951,   -- Formula: Enchant Boots - Dexterity
[22545]=27954,   -- Formula: Enchant Boots - Surefooted
[22547]=27960,   -- Formula: Enchant Chest - Exceptional Stats
[22551]=27968,   -- Formula: Enchant Weapon - Major Intellect
[22552]=27967,   -- Formula: Enchant Weapon - Major Striking
[22553]=27972,   -- Formula: Enchant Weapon - Potency
[22554]=27971,   -- Formula: Enchant 2H Weapon - Savagery
[22555]=27975,   -- Formula: Enchant Weapon - Major Spellpower
[22556]=27977,   -- Formula: Enchant 2H Weapon - Major Agility
[22557]=28004,   -- Formula: Enchant Weapon - Battlemaster
[22558]=28003,   -- Formula: Enchant Weapon - Spellsurge
[22559]=27984,   -- Formula: Enchant Weapon - Mongoose
[22560]=27981,   -- Formula: Enchant Weapon - Sunfire
[22561]=27982,   -- Formula: Enchant Weapon - Soulfrost
[22562]=28016,   -- Formula: Superior Mana Oil
[22563]=28019,   -- Formula: Superior Wizard Oil
[22565]=28022,   -- Formula: Large Prismatic Shard
[22647]=28267,   -- Recipe: Crunchy Spider Surprise
[22683]=28210,   -- Pattern: Gaea's Embrace
[22729]=28327,   -- Schematic: Steam Tonk Controller
[22766]=28461,   -- Plans: Ironvine Breastplate
[22767]=28462,   -- Plans: Ironvine Gloves
[22768]=28463,   -- Plans: Ironvine Belt
[22769]=28474,   -- Pattern: Bramblewood Belt
[22770]=28473,   -- Pattern: Bramblewood Boots
[22771]=28472,   -- Pattern: Bramblewood Helm
[22772]=28482,   -- Pattern: Sylvan Shoulders
[22773]=28481,   -- Pattern: Sylvan Crown
[22774]=28480,   -- Pattern: Sylvan Vest
[22900]=28543,   -- Recipe: Elixir of Camouflage
[22901]=28546,   -- Recipe: Sneaking Potion
[22902]=28549,   -- Recipe: Elixir of Major Frost Power
[22903]=28550,   -- Recipe: Insane Strength Potion
[22904]=28552,   -- Recipe: Elixir of the Searching Eye
[22905]=28553,   -- Recipe: Elixir of Major Agility
[22906]=28554,   -- Recipe: Shrouding Potion
[22907]=28555,   -- Recipe: Super Mana Potion
[22908]=28556,   -- Recipe: Elixir of Major Firepower
[22909]=28557,   -- Recipe: Elixir of Major Defense
[22910]=28558,   -- Recipe: Elixir of Major Shadow Power
[22911]=28562,   -- Recipe: Major Dreamless Sleep Potion
[22912]=28563,   -- Recipe: Heroic Potion
[22913]=28564,   -- Recipe: Haste Potion
[22914]=28565,   -- Recipe: Destruction Potion
[22915]=28566,   -- Recipe: Transmute Primal Air to Fire
[22916]=28567,   -- Recipe: Transmute Primal Earth to Water
[22917]=28568,   -- Recipe: Transmute Primal Fire to Earth
[22918]=28569,   -- Recipe: Transmute Primal Water to Air
[22919]=28570,   -- Recipe: Elixir of Major Mageblood
[22920]=28571,   -- Recipe: Major Fire Protection Potion
[22921]=28572,   -- Recipe: Major Frost Protection Potion
[22922]=28573,   -- Recipe: Major Nature Protection Potion
[22923]=28575,   -- Recipe: Major Arcane Protection Potion
[22924]=28576,   -- Recipe: Major Shadow Protection Potion
[22925]=28577,   -- Recipe: Major Holy Protection Potion
[22926]=28578,   -- Recipe: Elixir of Empowerment
[22927]=28579,   -- Recipe: Ironshield Potion
[23130]=28903,   -- Design: Brilliant Blood Garnet
[23131]=28905,   -- Design: Bold Blood Garnet
[23133]=28903,   -- Design: Brilliant Blood Garnet
[23134]=34590,   -- Design: Delicate Blood Garnet
[23135]=28910,   -- Design: Inscribed Flame Spessarite
[23136]=28912,   -- Design: Reckless Flame Spessarite
[23137]=28914,   -- Design: Glinting Shadow Draenite
[23138]=28915,   -- Design: Potent Flame Spessarite
[23140]=28916,   -- Design: Radiant Deep Peridot
[23141]=28917,   -- Design: Jagged Deep Peridot
[23142]=28918,   -- Design: Regal Deep Peridot
[23143]=28927,   -- Design: Purified Shadow Draenite
[23144]=28925,   -- Design: Timeless Shadow Draenite
[23145]=28927,   -- Design: Purified Shadow Draenite
[23146]=28933,   -- Design: Shifting Shadow Draenite
[23147]=28936,   -- Design: Sovereign Shadow Draenite
[23148]=28903,   -- Design: Brilliant Blood Garnet
[23149]=28944,   -- Design: Smooth Golden Draenite
[23150]=28947,   -- Design: Subtle Golden Draenite
[23151]=28948,   -- Design: Rigid Azure Moonstone
[23152]=28950,   -- Design: Solid Azure Moonstone
[23153]=28953,   -- Design: Sparkling Azure Moonstone
[23154]=28955,   -- Design: Stormy Azure Moonstone
[23155]=28953,   -- Design: Sparkling Azure Moonstone
[23574]=29688,   -- Recipe: Transmute Primal Might
[23590]=29566,   -- Plans: Adamantite Maul
[23591]=29568,   -- Plans: Adamantite Cleaver
[23592]=29569,   -- Plans: Adamantite Dagger
[23593]=29571,   -- Plans: Adamantite Rapier
[23594]=29603,   -- Plans: Adamantite Plate Bracers
[23595]=29605,   -- Plans: Adamantite Plate Gloves
[23596]=29606,   -- Plans: Adamantite Breastplate
[23597]=29608,   -- Plans: Enchanted Adamantite Belt
[23598]=29611,   -- Plans: Enchanted Adamantite Boots
[23599]=29610,   -- Plans: Enchanted Adamantite Breastplate
[23600]=29613,   -- Plans: Enchanted Adamantite Leggings
[23601]=29614,   -- Plans: Flamebane Bracers
[23602]=29615,   -- Plans: Flamebane Helm
[23603]=29616,   -- Plans: Flamebane Gloves
[23604]=29617,   -- Plans: Flamebane Breastplate
[23605]=29619,   -- Plans: Felsteel Gloves
[23606]=29620,   -- Plans: Felsteel Leggings
[23607]=29621,   -- Plans: Felsteel Helm
[23608]=29628,   -- Plans: Khorium Belt
[23609]=29629,   -- Plans: Khorium Pants
[23610]=29630,   -- Plans: Khorium Boots
[23611]=29642,   -- Plans: Ragesteel Gloves
[23612]=29643,   -- Plans: Ragesteel Helm
[23613]=29645,   -- Plans: Ragesteel Breastplate
[23615]=29648,   -- Plans: Swiftsteel Gloves
[23617]=29649,   -- Plans: Earthpeace Breastplate
[23618]=29656,   -- Plans: Adamantite Sharpening Stone
[23619]=29657,   -- Plans: Felsteel Shield Spike
[23620]=29658,   -- Plans: Felfury Gauntlets
[23621]=29622,   -- Plans: Gauntlets of the Iron Tower
[23622]=29662,   -- Plans: Steelgrip Gauntlets
[23623]=29663,   -- Plans: Storm Helm
[23624]=29664,   -- Plans: Helm of the Stalwart Defender
[23625]=29668,   -- Plans: Oathkeeper's Helm
[23626]=29669,   -- Plans: Black Felsteel Bracers
[23627]=29671,   -- Plans: Bracers of the Green Fortress
[23628]=29672,   -- Plans: Blessed Bracers
[23629]=29692,   -- Plans: Felsteel Longblade
[23630]=29693,   -- Plans: Khorium Champion
[23631]=29694,   -- Plans: Fel Edged Battleaxe
[23632]=29695,   -- Plans: Felsteel Reaper
[23633]=29696,   -- Plans: Runic Hammer
[23634]=29697,   -- Plans: Fel Hardened Maul
[23635]=29698,   -- Plans: Eternium Runed Blade
[23636]=29699,   -- Plans: Dirge
[23637]=29700,   -- Plans: Hand of Eternity
[23638]=29728,   -- Plans: Lesser Ward of Shielding
[23639]=29729,   -- Plans: Greater Ward of Shielding
[23799]=30313,   -- Schematic: Adamantite Rifle
[23800]=30314,   -- Schematic: Felsteel Boomstick
[23802]=30315,   -- Schematic: Ornate Khorium Rifle
[23803]=30316,   -- Schematic: Cogspinner Goggles
[23804]=30317,   -- Schematic: Power Amplification Goggles
[23805]=30318,   -- Schematic: Ultra-Spectropic Detection Goggles
[23806]=30325,   -- Schematic: Hyper-Vision Goggles
[23807]=30329,   -- Schematic: Adamantite Scope
[23808]=30332,   -- Schematic: Khorium Scope
[23809]=30334,   -- Schematic: Stabilized Eternium Scope
[23810]=30337,   -- Schematic: Crashin' Thrashin' Robot
[23811]=30341,   -- Schematic: White Smoke Flare
[23814]=30344,   -- Schematic: Green Smoke Flare
[23816]=30348,   -- Schematic: Fel Iron Toolbox
[23817]=30349,   -- Schematic: Titanium Toolbox
[23874]=30547,   -- Schematic: Elemental Seaforium Charge
[23882]=30549,   -- Schematic: Critter Enlarger
[23883]=30551,   -- Schematic: Healing Potion Injector
[23884]=30552,   -- Schematic: Mana Potion Injector
[23887]=30556,   -- Schematic: Rocket Boots Xtreme
[23888]=30548,   -- Schematic: Zapthrottle Mote Extractor
[24000]=27911,   -- Formula: Enchant Bracer - Superior Healing
[24001]=28553,   -- Recipe: Elixir of Major Agility
[24002]=29657,   -- Plans: Felsteel Shield Spike
[24003]=27960,   -- Formula: Enchant Chest - Exceptional Stats
[24158]=31053,   -- Design: Khorium Band of Shadows
[24159]=31054,   -- Design: Khorium Band of Frost
[24160]=31055,   -- Design: Khorium Inferno Band
[24161]=31056,   -- Design: Khorium Band of Leaves
[24162]=31057,   -- Design: Arcane Khorium Band
[24163]=31058,   -- Design: Heavy Felsteel Ring
[24164]=31060,   -- Design: Delicate Eternium Ring
[24165]=31061,   -- Design: Blazing Eternium Band
[24166]=31067,   -- Design: Thick Felsteel Necklace
[24167]=31068,   -- Design: Living Ruby Pendant
[24168]=31070,   -- Design: Braided Eternium Chain
[24169]=31071,   -- Design: Eye of the Night
[24170]=31072,   -- Design: Embrace of the Dawn
[24171]=31076,   -- Design: Chain of the Twilight Owl
[24172]=31077,   -- Design: Coronet of Verdant Flame
[24173]=31078,   -- Design: Circlet of Arcane Might
[24174]=31062,   -- Design: Pendant of Frozen Flame
[24175]=31063,   -- Design: Pendant of Thawing
[24176]=31064,   -- Design: Pendant of Withering
[24177]=31065,   -- Design: Pendant of Shadow's End
[24178]=31066,   -- Design: Pendant of the Null Rune
[24179]=31079,   -- Design: Felsteel Boar
[24180]=31080,   -- Design: Dawnstone Crab
[24181]=31081,   -- Design: Living Ruby Serpent
[24182]=31082,   -- Design: Talasite Owl
[24183]=31083,   -- Design: Nightseye Panther
[24192]=31085,   -- Design: Delicate Living Ruby
[24193]=31084,   -- Design: Bold Living Ruby
[24194]=31085,   -- Design: Delicate Living Ruby
[24195]=31088,   -- Design: Brilliant Living Ruby
[24196]=31088,   -- Design: Brilliant Living Ruby
[24197]=31090,   -- Design: Subtle Dawnstone
[24198]=31091,   -- Design: Flashing Living Ruby
[24199]=31092,   -- Design: Solid Star of Elune
[24200]=31149,   -- Design: Sparkling Star of Elune
[24201]=31149,   -- Design: Sparkling Star of Elune
[24202]=31095,   -- Design: Stormy Star of Elune
[24203]=31088,   -- Design: Brilliant Living Ruby
[24204]=31097,   -- Design: Smooth Dawnstone
[24205]=31098,   -- Design: Rigid Star of Elune
[24206]=31097,   -- Design: Smooth Dawnstone
[24207]=31090,   -- Design: Subtle Dawnstone
[24208]=31101,   -- Design: Mystic Dawnstone
[24209]=31102,   -- Design: Sovereign Nightseye
[24210]=31103,   -- Design: Shifting Nightseye
[24211]=31104,   -- Design: Timeless Nightseye
[24212]=31112,   -- Design: Purified Nightseye
[24213]=31106,   -- Design: Inscribed Noble Topaz
[24214]=31107,   -- Design: Potent Noble Topaz
[24215]=31108,   -- Design: Reckless Noble Topaz
[24216]=31109,   -- Design: Glinting Nightseye
[24217]=46803,   -- Design: Regal Talasite
[24218]=31111,   -- Design: Radiant Talasite
[24219]=31112,   -- Design: Purified Nightseye
[24220]=31113,   -- Design: Jagged Talasite
[24292]=31430,   -- Pattern: Mystic Spellthread
[24293]=31431,   -- Pattern: Silver Spellthread
[24294]=31432,   -- Pattern: Runic Spellthread
[24295]=31433,   -- Pattern: Golden Spellthread
[24296]=31434,   -- Pattern: Unyielding Bracers
[24297]=31435,   -- Pattern: Bracers of Havok
[24298]=31437,   -- Pattern: Blackstrike Bracers
[24299]=31438,   -- Pattern: Cloak of the Black Void
[24300]=31440,   -- Pattern: Cloak of Eternity
[24301]=31441,   -- Pattern: White Remedy Cape
[24302]=31442,   -- Pattern: Unyielding Girdle
[24303]=31443,   -- Pattern: Girdle of Ruination
[24304]=31444,   -- Pattern: Black Belt of Knowledge
[24305]=31448,   -- Pattern: Resolute Cape
[24306]=31449,   -- Pattern: Vengeance Wrap
[24307]=31450,   -- Pattern: Manaweave Cloak
[24308]=31451,   -- Pattern: Whitemend Pants
[24309]=31452,   -- Pattern: Spellstrike Pants
[24310]=31453,   -- Pattern: Battlecast Pants
[24311]=31454,   -- Pattern: Whitemend Hood
[24312]=31455,   -- Pattern: Spellstrike Hood
[24313]=31456,   -- Pattern: Battlecast Hood
[24314]=31459,   -- Pattern: Bag of Jewels
[24316]=31373,   -- Pattern: Spellcloth
[25526]=32285,   -- Plans: Greater Rune of Warding
[25720]=32455,   -- Pattern: Heavy Knothide Leather
[25721]=32457,   -- Pattern: Vindicator's Armor Kit
[25722]=32458,   -- Pattern: Magister's Armor Kit
[25725]=32461,   -- Pattern: Riding Crop
[25726]=32482,   -- Pattern: Comfortable Insoles
[25728]=32485,   -- Pattern: Stylin' Purple Hat
[25729]=32487,   -- Pattern: Stylin' Adventure Hat
[25730]=32489,   -- Pattern: Stylin' Jungle Hat
[25731]=32488,   -- Pattern: Stylin' Crimson Hat
[25732]=32490,   -- Pattern: Fel Leather Gloves
[25733]=32493,   -- Pattern: Fel Leather Boots
[25734]=32494,   -- Pattern: Fel Leather Leggings
[25735]=32495,   -- Pattern: Heavy Clefthoof Vest
[25736]=32496,   -- Pattern: Heavy Clefthoof Leggings
[25737]=32497,   -- Pattern: Heavy Clefthoof Boots
[25738]=32498,   -- Pattern: Felstalker Belt
[25739]=32499,   -- Pattern: Felstalker Bracers
[25740]=32500,   -- Pattern: Felstalker Breastplate
[25741]=32501,   -- Pattern: Netherfury Belt
[25742]=32502,   -- Pattern: Netherfury Leggings
[25743]=32503,   -- Pattern: Netherfury Boots
[25869]=32765,   -- Recipe: Transmute Earthstorm Diamond
[25870]=32766,   -- Recipe: Transmute Skyfire Diamond
[25887]=32814,   -- Schematic: Purple Smoke Flare
[25902]=32866,   -- Design: Powerful Earthstorm Diamond
[25903]=32867,   -- Design: Bracing Earthstorm Diamond
[25904]=32870,   -- Design: Insightful Earthstorm Diamond
[25905]=32868,   -- Design: Tenacious Earthstorm Diamond
[25906]=32869,   -- Design: Brutal Earthstorm Diamond
[25907]=32871,   -- Design: Destructive Skyfire Diamond
[25908]=32873,   -- Design: Swift Skyfire Diamond
[25909]=32872,   -- Design: Mystical Skyfire Diamond
[25910]=32874,   -- Design: Enigmatic Skyfire Diamond
[27684]=33279,   -- Recipe: Buzzard Bites
[27685]=33276,   -- Recipe: Lynx Steak
[27686]=33277,   -- Recipe: Roasted Moongraze Tenderloin
[27687]=33278,   -- Recipe: Bat Bites
[27688]=33284,   -- Recipe: Ravager Dog
[27690]=33286,   -- Recipe: Blackened Basilisk
[27691]=33287,   -- Recipe: Roasted Clefthoof
[27692]=33288,   -- Recipe: Warp Burger
[27693]=33289,   -- Recipe: Talbuk Steak
[27694]=33290,   -- Recipe: Blackened Trout
[27695]=33291,   -- Recipe: Feltail Delight
[27696]=33292,   -- Recipe: Blackened Sporefish
[27697]=33293,   -- Recipe: Grilled Mudfish
[27698]=33294,   -- Recipe: Poached Bluefish
[27699]=33295,   -- Recipe: Golden Fish Sticks
[27700]=33296,   -- Recipe: Spicy Crawdad
[28270]=33992,   -- Formula: Enchant Chest - Major Resilience
[28271]=33994,   -- Formula: Enchant Gloves - Precise Strikes
[28272]=33997,   -- Formula: Enchant Gloves - Major Spellpower
[28273]=33999,   -- Formula: Enchant Gloves - Major Healing
[28274]=34003,   -- Formula: Enchant Cloak - PvP Power
[28279]=34007,   -- Formula: Enchant Boots - Cat's Swiftness
[28280]=34008,   -- Formula: Enchant Boots - Boar's Speed
[28281]=34010,   -- Formula: Enchant Weapon - Major Healing
[28282]=34009,   -- Formula: Enchant Shield - Major Stamina
[28291]=28944,   -- Design: Smooth Golden Draenite
[28596]=34590,   -- Design: Delicate Blood Garnet
[28632]=34608,   -- Plans: Adamantite Weightstone
[29120]=18456,   -- Pattern: Truefaith Vestments
[29213]=32498,   -- Pattern: Felstalker Belt
[29214]=32499,   -- Pattern: Felstalker Bracers
[29215]=32500,   -- Pattern: Felstalker Breastplate
[29217]=32501,   -- Pattern: Netherfury Belt
[29218]=32503,   -- Pattern: Netherfury Boots
[29219]=32502,   -- Pattern: Netherfury Leggings
[29232]=32766,   -- Recipe: Transmute Skyfire Diamond
[29664]=35530,   -- Pattern: Reinforced Mining Bag
[29677]=35525,   -- Pattern: Enchanted Felscale Leggings
[29682]=35526,   -- Pattern: Enchanted Felscale Gloves
[29684]=35527,   -- Pattern: Enchanted Felscale Boots
[29689]=35529,   -- Pattern: Flamescale Leggings
[29691]=35528,   -- Pattern: Flamescale Boots
[29693]=35531,   -- Pattern: Flamescale Belt
[29698]=35532,   -- Pattern: Enchanted Clefthoof Leggings
[29700]=35533,   -- Pattern: Enchanted Clefthoof Gloves
[29701]=35534,   -- Pattern: Enchanted Clefthoof Boots
[29702]=35535,   -- Pattern: Blastguard Pants
[29703]=35536,   -- Pattern: Blastguard Boots
[29704]=35537,   -- Pattern: Blastguard Belt
[29713]=35538,   -- Pattern: Drums of Panic
[29714]=35539,   -- Pattern: Drums of Restoration
[29717]=35543,   -- Pattern: Drums of Battle
[29718]=35544,   -- Pattern: Drums of Speed
[29719]=35549,   -- Pattern: Cobrahide Leg Armor
[29720]=35555,   -- Pattern: Clefthide Leg Armor
[29721]=35557,   -- Pattern: Nethercleft Leg Armor
[29722]=35554,   -- Pattern: Nethercobra Leg Armor
[29723]=35558,   -- Pattern: Cobrascale Hood
[29724]=35559,   -- Pattern: Cobrascale Gloves
[29725]=35560,   -- Pattern: Windscale Hood
[29726]=35561,   -- Pattern: Hood of Primal Life
[29727]=35562,   -- Pattern: Gloves of the Living Touch
[29728]=35563,   -- Pattern: Windslayer Wraps
[29729]=35564,   -- Pattern: Living Dragonscale Helm
[29730]=35567,   -- Pattern: Earthen Netherscale Boots
[29731]=35568,   -- Pattern: Windstrike Gloves
[29732]=35572,   -- Pattern: Netherdrake Helm
[29733]=35573,   -- Pattern: Netherdrake Gloves
[29734]=35574,   -- Pattern: Thick Netherscale Breastplate
[30156]=36210,   -- Recipe: Clam Bar
[30280]=36315,   -- Pattern: Belt of Blasting
[30281]=36316,   -- Pattern: Belt of the Long Road
[30282]=36317,   -- Pattern: Boots of Blasting
[30283]=36318,   -- Pattern: Boots of the Long Road
[30301]=36349,   -- Pattern: Belt of Natural Power
[30302]=36351,   -- Pattern: Belt of Deep Shadow
[30303]=36352,   -- Pattern: Belt of the Black Eagle
[30304]=36353,   -- Pattern: Monsoon Belt
[30305]=36355,   -- Pattern: Boots of Natural Grace
[30306]=36357,   -- Pattern: Boots of Utter Darkness
[30307]=36358,   -- Pattern: Boots of the Crimson Hawk
[30308]=36359,   -- Pattern: Hurricane Boots
[30321]=36389,   -- Plans: Belt of the Guardian
[30322]=36390,   -- Plans: Red Belt of Battle
[30323]=36391,   -- Plans: Boots of the Protector
[30324]=36392,   -- Plans: Red Havoc Boots
[30443]=28568,   -- Recipe: Transmute Primal Fire to Earth
[30444]=35530,   -- Pattern: Reinforced Mining Bag
[30483]=36686,   -- Pattern: Shadowcloth
[30826]=37855,   -- Design: Ring of Arcane Shielding
[30833]=37873,   -- Pattern: Cloak of Arcane Evasion
[30842]=37882,   -- Pattern: Flameheart Bracers
[30843]=37883,   -- Pattern: Flameheart Gloves
[30844]=37884,   -- Pattern: Flameheart Vest
[31354]=17635,   -- Recipe: Flask of the Titans
[31355]=17637,   -- Recipe: Flask of Supreme Power
[31356]=17636,   -- Recipe: Flask of Distilled Wisdom
[31358]=31080,   -- Design: Dawnstone Crab
[31359]=28918,   -- Design: Regal Deep Peridot
[31361]=35549,   -- Pattern: Cobrahide Leg Armor
[31362]=35554,   -- Pattern: Nethercobra Leg Armor
[31390]=38473,   -- Plans: Wildguard Breastplate
[31391]=38475,   -- Plans: Wildguard Leggings
[31392]=38476,   -- Plans: Wildguard Helm
[31393]=38477,   -- Plans: Iceguard Breastplate
[31394]=38478,   -- Plans: Iceguard Leggings
[31395]=38479,   -- Plans: Iceguard Helm
[31401]=38503,   -- Design: The Frozen Eye
[31402]=38504,   -- Design: The Natural Ward
[31674]=38868,   -- Recipe: Crunchy Serpent
[31675]=38867,   -- Recipe: Mok'Nathal Shortribs
[31680]=38960,   -- Recipe: Fel Strength Elixir
[31681]=38962,   -- Recipe: Fel Regeneration Potion
[31682]=38961,   -- Recipe: Fel Mana Potion
[31870]=28948,   -- Design: Rigid Azure Moonstone
[31871]=28933,   -- Design: Shifting Shadow Draenite
[31872]=28933,   -- Design: Shifting Shadow Draenite
[31873]=39466,   -- Design: Veiled Shadow Draenite
[31874]=39467,   -- Design: Deadly Flame Spessarite
[31875]=31098,   -- Design: Rigid Star of Elune
[31876]=31103,   -- Design: Shifting Nightseye
[31877]=31109,   -- Design: Glinting Nightseye
[31878]=39470,   -- Design: Veiled Nightseye
[31879]=39471,   -- Design: Deadly Noble Topaz
[32070]=39637,   -- Recipe: Earthen Elixir
[32071]=39639,   -- Recipe: Elixir of Ironskin
[32274]=39705,   -- Design: Bold Crimson Spinel
[32277]=39706,   -- Design: Delicate Crimson Spinel
[32281]=39711,   -- Design: Brilliant Crimson Spinel
[32282]=39711,   -- Design: Brilliant Crimson Spinel
[32283]=39706,   -- Design: Delicate Crimson Spinel
[32284]=39713,   -- Design: Subtle Lionseye
[32285]=39714,   -- Design: Flashing Crimson Spinel
[32286]=39715,   -- Design: Solid Empyrean Sapphire
[32287]=39716,   -- Design: Sparkling Empyrean Sapphire
[32288]=39716,   -- Design: Sparkling Empyrean Sapphire
[32289]=39718,   -- Design: Stormy Empyrean Sapphire
[32290]=39711,   -- Design: Brilliant Crimson Spinel
[32291]=39720,   -- Design: Smooth Lionseye
[32292]=39721,   -- Design: Rigid Empyrean Sapphire
[32293]=39720,   -- Design: Smooth Lionseye
[32294]=39713,   -- Design: Subtle Lionseye
[32295]=39724,   -- Design: Mystic Lionseye
[32296]=39721,   -- Design: Rigid Empyrean Sapphire
[32297]=39727,   -- Design: Sovereign Shadowsong Amethyst
[32298]=39728,   -- Design: Shifting Shadowsong Amethyst
[32299]=39728,   -- Design: Shifting Shadowsong Amethyst
[32300]=39736,   -- Design: Glinting Shadowsong Amethyst
[32301]=39731,   -- Design: Timeless Shadowsong Amethyst
[32302]=39741,   -- Design: Purified Shadowsong Amethyst
[32303]=39733,   -- Design: Inscribed Pyrestone
[32304]=39734,   -- Design: Potent Pyrestone
[32305]=47055,   -- Design: Reckless Pyrestone
[32306]=39736,   -- Design: Glinting Shadowsong Amethyst
[32307]=39737,   -- Design: Veiled Shadowsong Amethyst
[32308]=39738,   -- Design: Deadly Pyrestone
[32309]=39739,   -- Design: Regal Seaspray Emerald
[32310]=39740,   -- Design: Radiant Seaspray Emerald
[32311]=39741,   -- Design: Purified Shadowsong Amethyst
[32312]=39742,   -- Design: Jagged Seaspray Emerald
[32381]=39895,   -- Schematic: Fused Wiring
[32411]=39963,   -- Design: Thundering Skyfire Diamond
[32412]=39961,   -- Design: Relentless Earthstorm Diamond
[32429]=39997,   -- Pattern: Boots of Shackled Souls
[32430]=52733,   -- Pattern: Bracers of Shackled Souls
[32431]=40001,   -- Pattern: Greaves of Shackled Souls
[32432]=40002,   -- Pattern: Waistguard of Shackled Souls
[32433]=40003,   -- Pattern: Redeemed Soul Moccasins
[32434]=40004,   -- Pattern: Redeemed Soul Wristguards
[32435]=40005,   -- Pattern: Redeemed Soul Legguards
[32436]=40006,   -- Pattern: Redeemed Soul Cinch
[32437]=40020,   -- Pattern: Soulguard Slippers
[32438]=40021,   -- Pattern: Soulguard Bracers
[32439]=40023,   -- Pattern: Soulguard Leggings
[32440]=40024,   -- Pattern: Soulguard Girdle
[32441]=40033,   -- Plans: Shadesteel Sabots
[32442]=40034,   -- Plans: Shadesteel Bracers
[32443]=40035,   -- Plans: Shadesteel Greaves
[32444]=40036,   -- Plans: Shadesteel Girdle
[32447]=40060,   -- Pattern: Night's End
[32736]=41132,   -- Plans: Swiftsteel Bracers
[32737]=41133,   -- Plans: Swiftsteel Shoulders
[32738]=41134,   -- Plans: Dawnsteel Bracers
[32739]=41135,   -- Plans: Dawnsteel Shoulders
[32744]=41156,   -- Pattern: Bracers of Renewed Life
[32745]=41157,   -- Pattern: Shoulderpads of Renewed Life
[32746]=41158,   -- Pattern: Swiftstrike Bracers
[32747]=41160,   -- Pattern: Swiftstrike Shoulders
[32748]=41161,   -- Pattern: Bindings of Lightning Reflexes
[32749]=41162,   -- Pattern: Shoulders of Lightning Reflexes
[32750]=41163,   -- Pattern: Living Earth Bindings
[32751]=41164,   -- Pattern: Living Earth Shoulders
[32752]=41207,   -- Pattern: Swiftheal Wraps
[32753]=41208,   -- Pattern: Swiftheal Mantle
[32754]=41205,   -- Pattern: Bracers of Nimble Thought
[32755]=41206,   -- Pattern: Mantle of Nimble Thought
[33124]=42546,   -- Pattern: Cloak of Darkness
[33148]=25086,   -- Formula: Enchant Cloak - Dodge
[33149]=25083,   -- Formula: Enchant Cloak - Stealth
[33150]=25084,   -- Formula: Enchant Cloak - Subtlety
[33151]=25084,   -- Formula: Enchant Cloak - Subtlety
[33152]=25080,   -- Formula: Enchant Gloves - Superior Agility
[33153]=25072,   -- Formula: Enchant Gloves - Threat
[33155]=42588,   -- Design: Kailee's Rose
[33156]=42589,   -- Design: Crimson Sun
[33157]=42590,   -- Design: Falling Star
[33158]=42591,   -- Design: Stone of Blades
[33159]=42592,   -- Design: Blood of Amber
[33160]=42593,   -- Design: Facet of Eternity
[33165]=42620,   -- Formula: Enchant Weapon - Greater Agility
[33174]=42662,   -- Plans: Ragesteel Shoulders
[33186]=42688,   -- Plans: Adamantite Weapon Chain
[33205]=42731,   -- Pattern: Shadowprowler's Chestguard
[33305]=42558,   -- Design: Don Julio's Heart
[33307]=42974,   -- Formula: Enchant Weapon - Executioner
[33622]=39961,   -- Design: Relentless Earthstorm Diamond
[33783]=43493,   -- Design: Steady Talasite
[33792]=43549,   -- Plans: Heavy Copper Longsword
[33869]=43761,   -- Recipe: Broiled Bloodfin
[33870]=43707,   -- Recipe: Skullfish Soup
[33871]=43758,   -- Recipe: Stormchops
[33873]=43765,   -- Recipe: Spicy Hot Talbuk
[33875]=43772,   -- Recipe: Kibler's Bits
[33925]=43779,   -- Recipe: Delicious Chocolate Cake
[33954]=43846,   -- Plans: Hammer of Righteous Might
[34114]=44391,   -- Schematic: Field Repair Bot 110G
[34172]=35544,   -- Pattern: Drums of Speed
[34173]=35544,   -- Pattern: Drums of Speed
[34174]=35539,   -- Pattern: Drums of Restoration
[34175]=35539,   -- Pattern: Drums of Restoration
[34221]=44794,   -- Design: Chaotic Skyfire Diamond
[34261]=44950,   -- Pattern: Green Winter Clothes
[34262]=44953,   -- Pattern: Winter Boots
[34319]=44958,   -- Pattern: Red Winter Clothes
[34413]=45022,   -- Recipe: Hot Apple Cider
[34491]=45117,   -- Pattern: Bag of Many Hides
[34689]=44794,   -- Design: Chaotic Skyfire Diamond
[34834]=45695,   -- Recipe: Captain Rumsey's Lager
[34872]=45765,   -- Formula: Void Shatter
[35186]=46111,   -- Schematic: Annihilator Holo-Gogs
[35187]=46107,   -- Schematic: Justicebringer 3000 Specs
[35189]=46108,   -- Schematic: Powerheal 9000 Lens
[35190]=46109,   -- Schematic: Hyper-Magnified Moon Specs
[35191]=46106,   -- Schematic: Wonderheal XT68 Shades
[35192]=46110,   -- Schematic: Primal-Attuned Goggles
[35193]=46112,   -- Schematic: Lightning Etched Specs
[35194]=46113,   -- Schematic: Surestrike Goggles v3.0
[35195]=46114,   -- Schematic: Mayhem Projection Goggles
[35196]=46115,   -- Schematic: Hard Khorium Goggles
[35197]=46116,   -- Schematic: Quad Deathblow X44 Goggles
[35198]=46122,   -- Design: Loop of Forged Power
[35199]=46123,   -- Design: Ring of Flowing Life
[35200]=46124,   -- Design: Hard Khorium Band
[35201]=46125,   -- Design: Pendant of Sunfire
[35202]=46126,   -- Design: Amulet of Flowing Life
[35203]=46127,   -- Design: Hard Khorium Choker
[35204]=46128,   -- Pattern: Sunfire Handwraps
[35205]=46129,   -- Pattern: Hands of Eternal Light
[35206]=46130,   -- Pattern: Sunfire Robe
[35207]=46131,   -- Pattern: Robe of Eternal Light
[35208]=46140,   -- Plans: Sunblessed Gauntlets
[35209]=46141,   -- Plans: Hard Khorium Battlefists
[35210]=46142,   -- Plans: Sunblessed Breastplate
[35211]=46144,   -- Plans: Hard Khorium Battleplate
[35212]=46132,   -- Pattern: Leather Gauntlets of the Sun
[35213]=46133,   -- Pattern: Fletcher's Gloves of the Phoenix
[35214]=46134,   -- Pattern: Gloves of Immortal Dusk
[35215]=46135,   -- Pattern: Sun-Drenched Scale Gloves
[35216]=46136,   -- Pattern: Leather Chestguard of the Sun
[35217]=46137,   -- Pattern: Embrace of the Phoenix
[35218]=46138,   -- Pattern: Carapace of Sun and Shadow
[35219]=46139,   -- Pattern: Sun-Drenched Scale Chestguard
[35238]=39728,   -- Design: Shifting Shadowsong Amethyst
[35239]=39731,   -- Design: Timeless Shadowsong Amethyst
[35240]=39736,   -- Design: Glinting Shadowsong Amethyst
[35241]=39741,   -- Design: Purified Shadowsong Amethyst
[35242]=39728,   -- Design: Shifting Shadowsong Amethyst
[35243]=39727,   -- Design: Sovereign Shadowsong Amethyst
[35244]=39705,   -- Design: Bold Crimson Spinel
[35245]=39706,   -- Design: Delicate Crimson Spinel
[35246]=39706,   -- Design: Delicate Crimson Spinel
[35247]=39714,   -- Design: Flashing Crimson Spinel
[35248]=39711,   -- Design: Brilliant Crimson Spinel
[35249]=39713,   -- Design: Subtle Lionseye
[35250]=39711,   -- Design: Brilliant Crimson Spinel
[35251]=39741,   -- Design: Purified Shadowsong Amethyst
[35252]=39739,   -- Design: Regal Seaspray Emerald
[35253]=39742,   -- Design: Jagged Seaspray Emerald
[35254]=39740,   -- Design: Radiant Seaspray Emerald
[35255]=39711,   -- Design: Brilliant Crimson Spinel
[35256]=39720,   -- Design: Smooth Lionseye
[35257]=39721,   -- Design: Rigid Empyrean Sapphire
[35258]=39724,   -- Design: Mystic Lionseye
[35259]=39721,   -- Design: Rigid Empyrean Sapphire
[35260]=39720,   -- Design: Smooth Lionseye
[35261]=39713,   -- Design: Subtle Lionseye
[35262]=39716,   -- Design: Sparkling Empyrean Sapphire
[35263]=39715,   -- Design: Solid Empyrean Sapphire
[35264]=39716,   -- Design: Sparkling Empyrean Sapphire
[35265]=39718,   -- Design: Stormy Empyrean Sapphire
[35266]=39736,   -- Design: Glinting Shadowsong Amethyst
[35267]=39733,   -- Design: Inscribed Pyrestone
[35268]=47055,   -- Design: Reckless Pyrestone
[35269]=39734,   -- Design: Potent Pyrestone
[35270]=39737,   -- Design: Veiled Shadowsong Amethyst
[35271]=39738,   -- Design: Deadly Pyrestone
[35273]=46353,   -- Study of Advanced Smelting
[35294]=28578,   -- Recipe: Elixir of Empowerment
[35295]=28564,   -- Recipe: Haste Potion
[35296]=42688,   -- Plans: Adamantite Weapon Chain
[35297]=34008,   -- Formula: Enchant Boots - Boar's Speed
[35298]=27948,   -- Formula: Enchant Boots - Vitality
[35299]=34007,   -- Formula: Enchant Boots - Cat's Swiftness
[35300]=35568,   -- Pattern: Windstrike Gloves
[35301]=35573,   -- Pattern: Netherdrake Gloves
[35302]=35559,   -- Pattern: Cobrascale Gloves
[35303]=35562,   -- Pattern: Gloves of the Living Touch
[35304]=31092,   -- Design: Solid Star of Elune
[35305]=31088,   -- Design: Brilliant Living Ruby
[35306]=31085,   -- Design: Delicate Living Ruby
[35307]=31098,   -- Design: Rigid Star of Elune
[35308]=31434,   -- Pattern: Unyielding Bracers
[35309]=31442,   -- Pattern: Unyielding Girdle
[35310]=30551,   -- Schematic: Healing Potion Injector
[35311]=30552,   -- Schematic: Mana Potion Injector
[35322]=46403,   -- Design: Quick Dawnstone
[35323]=31108,   -- Design: Reckless Noble Topaz
[35325]=46405,   -- Design: Forceful Talasite
[35498]=46578,   -- Formula: Enchant Weapon - Deathfrost
[35500]=46594,   -- Formula: Enchant Chest - Dodge
[35502]=46597,   -- Design: Eternal Earthstorm Diamond
[35505]=46601,   -- Design: Ember Skyfire Diamond
[35528]=41160,   -- Pattern: Swiftstrike Shoulders
[35530]=41135,   -- Plans: Dawnsteel Shoulders
[35532]=41133,   -- Plans: Swiftsteel Shoulders
[35555]=46142,   -- Plans: Sunblessed Breastplate
[35564]=46684,   -- Recipe: Charred Bear Kabobs
[35566]=46688,   -- Recipe: Juicy Bear Burger
[35582]=46697,   -- Schematic: Rocket Boots Xtreme Lite
[35695]=46775,   -- Design: Figurine - Empyrean Tortoise
[35696]=46776,   -- Design: Figurine - Khorium Boar
[35697]=46777,   -- Design: Figurine - Crimson Serpent
[35698]=46778,   -- Design: Figurine - Shadowsong Panther
[35699]=46779,   -- Design: Figurine - Seaspray Albatross
[35708]=46803,   -- Design: Regal Talasite
[35752]=47046,   -- Recipe: Guardian's Alchemist Stone
[35753]=47048,   -- Recipe: Sorcerer's Alchemist Stone
[35754]=47049,   -- Recipe: Redeemer's Alchemist Stone
[35755]=47050,   -- Recipe: Assassin's Alchemist Stone
[35756]=47051,   -- Formula: Enchant Cloak - Greater Dodge
[35762]=47055,   -- Design: Reckless Pyrestone
[35763]=47056,   -- Design: Quick Lionseye
[35764]=47054,   -- Design: Steady Seaspray Emerald
[35765]=47053,   -- Design: Forceful Seaspray Emerald
[35766]=47054,   -- Design: Steady Seaspray Emerald
[35767]=47055,   -- Design: Reckless Pyrestone
[35768]=47056,   -- Design: Quick Lionseye
[35769]=47053,   -- Design: Forceful Seaspray Emerald
[37326]=44593,   -- Formula: Enchant Bracer - Major Spirit
[37329]=44510,   -- Formula: Enchant Weapon - Exceptional Spirit
[37335]=44500,   -- Formula: Enchant Cloak - Superior Agility
[37336]=47766,   -- Formula: Enchant Chest - Greater Dodge
[37339]=44621,   -- Formula: Enchant Weapon - Giant Slayer
[37340]=44588,   -- Formula: Enchant Chest - Exceptional Resilience
[37343]=44633,   -- Formula: Enchant Weapon - Exceptional Agility
[37344]=44524,   -- Formula: Enchant Weapon - Icebreaker
[37345]=44513,   -- Formula: Enchant Gloves - Greater Assault
[37346]=44598,   -- Formula: Enchant Bracer - Expertise
[37347]=44591,   -- Formula: Enchant Cloak - Superior Dodge
[37349]=44631,   -- Formula: Enchant Cloak - Shadow Armor
[37504]=39741,   -- Design: Purified Shadowsong Amethyst
[37915]=49677,   -- Pattern: Dress Shoes
[38229]=50194,   -- Pattern: Mycah's Botanical Bag
[38327]=50644,   -- Pattern: Haliscan Jacket
[38328]=50647,   -- Pattern: Haliscan Pantaloons
[39152]=45546,   -- Manual: Heavy Frostweave Bandage
[39644]=53056,   -- Recipe: Kungaloosh
[41120]=54980,   -- Plans: Reinforced Cobalt Legplates
[41122]=54981,   -- Plans: Reinforced Cobalt Chestpiece
[41123]=54979,   -- Plans: Reinforced Cobalt Helm
[41124]=54978,   -- Plans: Reinforced Cobalt Shoulders
[41559]=53857,   -- Design: Mystic Sun Crystal
[41560]=53943,   -- Design: Stormy Chalcedony
[41561]=53885,   -- Design: Reckless Huge Citrine
[41562]=53877,   -- Design: Deadly Huge Citrine
[41563]=53884,   -- Design: Willful Huge Citrine
[41564]=53879,   -- Design: Lucent Huge Citrine
[41565]=53879,   -- Design: Lucent Huge Citrine
[41566]=53875,   -- Design: Resplendent Huge Citrine
[41567]=53917,   -- Design: Nimble Dark Jade
[41568]=53921,   -- Design: Purified Shadow Crystal
[41569]=53933,   -- Design: Shattered Dark Jade
[41570]=53932,   -- Design: Radiant Dark Jade
[41571]=53924,   -- Design: Turbid Dark Jade
[41572]=53919,   -- Design: Steady Dark Jade
[41573]=53924,   -- Design: Turbid Dark Jade
[41574]=53869,   -- Design: Defender's Shadow Crystal
[41575]=53865,   -- Design: Mysterious Shadow Crystal
[41576]=53830,   -- Design: Bold Scarlet Ruby
[41577]=53945,   -- Design: Delicate Scarlet Ruby
[41578]=53949,   -- Design: Flashing Scarlet Ruby
[41579]=53961,   -- Design: Quick Autumn's Glow
[41580]=53958,   -- Design: Rigid Sky Sapphire
[41581]=53954,   -- Design: Sparkling Sky Sapphire
[41582]=53980,   -- Design: Glinting Twilight Opal
[41686]=53984,   -- Design: Potent Monarch Topaz
[41687]=53991,   -- Design: Deft Monarch Topaz
[41688]=53985,   -- Design: Veiled Twilight Opal
[41689]=53987,   -- Design: Reckless Monarch Topaz
[41690]=53987,   -- Design: Reckless Monarch Topaz
[41692]=54011,   -- Design: Energized Forest Emerald
[41693]=54001,   -- Design: Forceful Forest Emerald
[41694]=54011,   -- Design: Energized Forest Emerald
[41696]=54009,   -- Design: Lightning Forest Emerald
[41697]=53998,   -- Design: Regal Forest Emerald
[41698]=53997,   -- Design: Nimble Forest Emerald
[41699]=53966,   -- Design: Purified Twilight Opal
[41701]=53966,   -- Design: Purified Twilight Opal
[41702]=53996,   -- Design: Jagged Forest Emerald
[41703]=53998,   -- Design: Regal Forest Emerald
[41704]=55389,   -- Design: Chaotic Skyflare Diamond
[41705]=55384,   -- Design: Shielded Skyflare Diamond
[41706]=55392,   -- Design: Ember Skyflare Diamond
[41707]=55407,   -- Design: Revitalizing Skyflare Diamond
[41708]=55396,   -- Design: Insightful Earthsiege Diamond
[41709]=55404,   -- Design: Invigorating Earthsiege Diamond
[41710]=55400,   -- Design: Relentless Earthsiege Diamond
[41711]=55403,   -- Design: Trenchant Earthsiege Diamond
[41718]=53946,   -- Design: Brilliant Scarlet Ruby
[41719]=53948,   -- Design: Subtle Autumn's Glow
[41720]=53957,   -- Design: Smooth Autumn's Glow
[41721]=53988,   -- Design: Deadly Monarch Topaz
[41722]=53993,   -- Design: Stalwart Monarch Topaz
[41723]=53996,   -- Design: Jagged Forest Emerald
[41724]=54003,   -- Design: Misty Forest Emerald
[41725]=53965,   -- Design: Timeless Twilight Opal
[41726]=53974,   -- Design: Guardian's Twilight Opal
[41727]=53960,   -- Design: Mystic Autumn's Glow
[41728]=53955,   -- Design: Stormy Sky Sapphire
[41730]=53986,   -- Design: Willful Monarch Topaz
[41732]=53981,   -- Design: Lucent Monarch Topaz
[41733]=53981,   -- Design: Lucent Monarch Topaz
[41734]=53978,   -- Design: Resplendent Monarch Topaz
[41735]=54014,   -- Design: Shattered Forest Emerald
[41736]=54012,   -- Design: Radiant Forest Emerald
[41737]=54005,   -- Design: Turbid Forest Emerald
[41738]=54000,   -- Design: Steady Forest Emerald
[41739]=54005,   -- Design: Turbid Forest Emerald
[41740]=53968,   -- Design: Mysterious Twilight Opal
[41742]=55393,   -- Design: Enigmatic Skyflare Diamond
[41743]=55387,   -- Design: Forlorn Skyflare Diamond
[41744]=55388,   -- Design: Impassive Skyflare Diamond
[41747]=53963,   -- Design: Shifting Twilight Opal
[41777]=53976,   -- Design: Etched Twilight Opal
[41778]=54023,   -- Design: Resolute Monarch Topaz
[41779]=53993,   -- Design: Stalwart Monarch Topaz
[41780]=53977,   -- Design: Champion's Monarch Topaz
[41781]=54003,   -- Design: Misty Forest Emerald
[41782]=54009,   -- Design: Lightning Forest Emerald
[41783]=53966,   -- Design: Purified Twilight Opal
[41784]=53962,   -- Design: Sovereign Twilight Opal
[41785]=53980,   -- Design: Glinting Twilight Opal
[41786]=55390,   -- Design: Destructive Skyflare Diamond
[41787]=55395,   -- Design: Thundering Skyflare Diamond
[41788]=55405,   -- Design: Beaming Earthsiege Diamond
[41789]=53975,   -- Design: Inscribed Monarch Topaz
[41790]=53951,   -- Design: Precise Scarlet Ruby
[41791]=53948,   -- Design: Subtle Autumn's Glow
[41792]=53991,   -- Design: Deft Monarch Topaz
[41793]=54019,   -- Design: Fierce Monarch Topaz
[41794]=53988,   -- Design: Deadly Monarch Topaz
[41795]=53965,   -- Design: Timeless Twilight Opal
[41796]=53980,   -- Design: Glinting Twilight Opal
[41797]=55401,   -- Design: Austere Earthsiege Diamond
[41798]=55397,   -- Design: Bracing Earthsiege Diamond
[41799]=55398,   -- Design: Eternal Earthsiege Diamond
[41817]=53957,   -- Design: Smooth Autumn's Glow
[41818]=53994,   -- Design: Accurate Twilight Opal
[41819]=54012,   -- Design: Radiant Forest Emerald
[41820]=53972,   -- Design: Defender's Twilight Opal
[42138]=53952,   -- Design: Solid Sky Sapphire
[42172]=55993,   -- Pattern: Red Lumberjack Shirt
[42173]=55994,   -- Pattern: Blue Lumberjack Shirt
[42174]=55995,   -- Pattern: Yellow Lumberjack Shirt
[42175]=55996,   -- Pattern: Green Lumberjack Shirt
[42176]=55998,   -- Pattern: Blue Workman's Shirt
[42177]=55997,   -- Pattern: Red Workman's Shirt
[42178]=55999,   -- Pattern: Rustic Workman's Shirt
[42179]=56000,   -- Pattern: Green Workman's Shirt
[42180]=56002,   -- Pattern: Ebonweave
[42181]=56001,   -- Pattern: Moonshroud
[42182]=56003,   -- Pattern: Spellweave
[42183]=56004,   -- Pattern: Abyssal Bag
[42184]=56005,   -- Pattern: Glacial Bag
[42185]=56006,   -- Pattern: Mysterious Bag
[42186]=56007,   -- Pattern: Frostweave Bag
[42187]=56009,   -- Pattern: Brilliant Spellthread
[42188]=56011,   -- Pattern: Sapphire Spellthread
[42189]=56016,   -- Pattern: Wispcloak
[42190]=56017,   -- Pattern: Deathchill Cloak
[42191]=56018,   -- Pattern: Hat of Wintry Doom
[42192]=56019,   -- Pattern: Silky Iceshard Boots
[42194]=56021,   -- Pattern: Frostmoon Pants
[42195]=56022,   -- Pattern: Light Blessed Mittens
[42196]=56023,   -- Pattern: Aurora Slippers
[42197]=56024,   -- Pattern: Moonshroud Robe
[42198]=56025,   -- Pattern: Moonshroud Gloves
[42199]=56026,   -- Pattern: Ebonweave Robe
[42200]=56027,   -- Pattern: Ebonweave Gloves
[42201]=56028,   -- Pattern: Spellweave Robe
[42202]=56029,   -- Pattern: Spellweave Gloves
[42298]=56049,   -- Design: Bold Dragon's Eye
[42299]=56052,   -- Design: Delicate Dragon's Eye
[42300]=56053,   -- Design: Brilliant Dragon's Eye
[42301]=56052,   -- Design: Delicate Dragon's Eye
[42302]=56056,   -- Design: Flashing Dragon's Eye
[42303]=56085,   -- Design: Smooth Dragon's Eye
[42304]=56087,   -- Design: Sparkling Dragon's Eye
[42305]=56079,   -- Design: Mystic Dragon's Eye
[42306]=56081,   -- Design: Precise Dragon's Eye
[42307]=56083,   -- Design: Quick Dragon's Eye
[42308]=56084,   -- Design: Rigid Dragon's Eye
[42309]=56053,   -- Design: Brilliant Dragon's Eye
[42310]=56085,   -- Design: Smooth Dragon's Eye
[42311]=56086,   -- Design: Solid Dragon's Eye
[42312]=56087,   -- Design: Sparkling Dragon's Eye
[42313]=56088,   -- Design: Stormy Dragon's Eye
[42314]=56055,   -- Design: Subtle Dragon's Eye
[42315]=56055,   -- Design: Subtle Dragon's Eye
[42648]=56496,   -- Design: Titanium Impact Band
[42649]=56497,   -- Design: Titanium Earthguard Ring
[42650]=56498,   -- Design: Titanium Spellshock Ring
[42651]=56499,   -- Design: Titanium Impact Choker
[42652]=56500,   -- Design: Titanium Earthguard Chain
[42653]=56501,   -- Design: Titanium Spellshock Necklace
[43017]=57423,   -- Recipe: Fish Feast
[43018]=45555,   -- Recipe: Mega Mammoth Meal
[43019]=45556,   -- Recipe: Tender Shoveltusk Steak
[43020]=45557,   -- Recipe: Spiced Worm Burger
[43021]=45558,   -- Recipe: Very Burnt Worg
[43022]=45559,   -- Recipe: Mighty Rhino Dogs
[43023]=45567,   -- Recipe: Poached Northern Sculpin
[43024]=45568,   -- Recipe: Firecracker Salmon
[43025]=45571,   -- Recipe: Spicy Blue Nettlefish
[43026]=45570,   -- Recipe: Imperial Manta Steak
[43027]=57433,   -- Recipe: Spicy Fried Herring
[43028]=57434,   -- Recipe: Rhinolicious Wormsteak
[43029]=57435,   -- Recipe: Critter Bites
[43030]=57436,   -- Recipe: Hearty Rhino
[43031]=57437,   -- Recipe: Snapper Extreme
[43032]=57438,   -- Recipe: Blackened Worg Steak
[43033]=57439,   -- Recipe: Cuttlesteak
[43034]=57440,   -- Recipe: Spiced Mammoth Treats
[43035]=57441,   -- Recipe: Blackened Dragonfin
[43036]=57442,   -- Recipe: Dragonfin Filet
[43037]=57443,   -- Recipe: Tracker Snacks
[43317]=58147,   -- Design: Ring of Earthen Might
[43318]=58148,   -- Design: Ring of Scarlet Shadows
[43319]=58149,   -- Design: Windfire Band
[43320]=58150,   -- Design: Ring of Northern Tears
[43485]=58492,   -- Design: Savage Titanium Ring
[43497]=58507,   -- Design: Savage Titanium Band
[43505]=58527,   -- Recipe: Gigantic Feast
[43506]=58528,   -- Recipe: Small Feast
[43507]=58512,   -- Recipe: Tasty Cupcake
[43508]=58521,   -- Recipe: Last Week's Mammoth
[43509]=58523,   -- Recipe: Bad Clams
[43510]=58525,   -- Recipe: Haunted Herring
[43597]=58954,   -- Design: Titanium Frostguard Ring
[44471]=47672,   -- Formula: Enchant Cloak - Mighty Stamina
[44472]=47898,   -- Formula: Enchant Cloak - Greater Speed
[44473]=44595,   -- Formula: Enchant Weapon - Scourgebane
[44483]=60691,   -- Formula: Enchant 2H Weapon - Massacre
[44484]=44575,   -- Formula: Enchant Bracer - Greater Assault
[44485]=44625,   -- Formula: Enchant Gloves - Armsman
[44486]=60707,   -- Formula: Enchant Weapon - Superior Potency
[44487]=60714,   -- Formula: Enchant Weapon - Mighty Spellpower
[44488]=47899,   -- Formula: Enchant Cloak - Wisdom
[44489]=60692,   -- Formula: Enchant Chest - Powerful Stats
[44490]=60763,   -- Formula: Enchant Boots - Greater Assault
[44491]=47901,   -- Formula: Enchant Boots - Tuskarr's Vitality
[44492]=59621,   -- Formula: Enchant Weapon - Berserking
[44494]=44576,   -- Formula: Enchant Weapon - Lifeward
[44495]=59625,   -- Formula: Enchant Weapon - Black Magic
[44496]=59619,   -- Formula: Enchant Weapon - Accuracy
[44498]=60767,   -- Formula: Enchant Bracer - Superior Spellpower
[44502]=60866,   -- Schematic: Mechano-Hog
[44503]=60867,   -- Schematic: Mekgineer's Chopper
[44509]=50970,   -- Pattern: Trapper's Traveling Pack
[44510]=50971,   -- Pattern: Mammoth Mining Bag
[44513]=60697,   -- Pattern: Eviscerator's Facemask
[44514]=60702,   -- Pattern: Eviscerator's Shoulderpads
[44515]=60703,   -- Pattern: Eviscerator's Chestguard
[44516]=60704,   -- Pattern: Eviscerator's Bindings
[44517]=60705,   -- Pattern: Eviscerator's Gauntlets
[44518]=60706,   -- Pattern: Eviscerator's Waistguard
[44519]=60711,   -- Pattern: Eviscerator's Legguards
[44520]=60712,   -- Pattern: Eviscerator's Treads
[44521]=60715,   -- Pattern: Overcast Headguard
[44522]=60716,   -- Pattern: Overcast Spaulders
[44523]=60718,   -- Pattern: Overcast Chestguard
[44524]=60720,   -- Pattern: Overcast Bracers
[44525]=60721,   -- Pattern: Overcast Handwraps
[44526]=60723,   -- Pattern: Overcast Belt
[44527]=60725,   -- Pattern: Overcast Leggings
[44528]=60727,   -- Pattern: Overcast Boots
[44530]=60728,   -- Pattern: Swiftarrow Helm
[44531]=60729,   -- Pattern: Swiftarrow Shoulderguards
[44532]=60730,   -- Pattern: Swiftarrow Hauberk
[44533]=60731,   -- Pattern: Swiftarrow Bracers
[44534]=60732,   -- Pattern: Swiftarrow Gauntlets
[44535]=60734,   -- Pattern: Swiftarrow Belt
[44536]=60735,   -- Pattern: Swiftarrow Leggings
[44537]=60737,   -- Pattern: Swiftarrow Boots
[44538]=60743,   -- Pattern: Stormhide Crown
[44539]=60746,   -- Pattern: Stormhide Shoulders
[44540]=60747,   -- Pattern: Stormhide Hauberk
[44541]=60748,   -- Pattern: Stormhide Wristguards
[44542]=60749,   -- Pattern: Stormhide Grips
[44543]=60750,   -- Pattern: Stormhide Belt
[44544]=60751,   -- Pattern: Stormhide Legguards
[44545]=60752,   -- Pattern: Stormhide Stompers
[44546]=60754,   -- Pattern: Giantmaim Legguards
[44547]=60755,   -- Pattern: Giantmaim Bracers
[44548]=60756,   -- Pattern: Revenant's Breastplate
[44549]=60757,   -- Pattern: Revenant's Treads
[44550]=60758,   -- Pattern: Trollwoven Spaulders
[44551]=60759,   -- Pattern: Trollwoven Girdle
[44552]=60760,   -- Pattern: Earthgiving Legguards
[44553]=60761,   -- Pattern: Earthgiving Boots
[44564]=53936,   -- Recipe: Mighty Arcane Protection Potion
[44565]=53939,   -- Recipe: Mighty Fire Protection Potion
[44566]=53937,   -- Recipe: Mighty Frost Protection Potion
[44567]=53942,   -- Recipe: Mighty Nature Protection Potion
[44568]=53938,   -- Recipe: Mighty Shadow Protection Potion
[44584]=60996,   -- Pattern: Polar Vest
[44585]=60997,   -- Pattern: Polar Cord
[44586]=60998,   -- Pattern: Polar Boots
[44587]=60999,   -- Pattern: Icy Scale Chestguard
[44588]=61000,   -- Pattern: Icy Scale Belt
[44589]=61002,   -- Pattern: Icy Scale Boots
[44858]=62049,   -- Recipe: Cranberry Chutney
[44859]=62051,   -- Recipe: Candied Sweet Potato
[44860]=62050,   -- Recipe: Spice Bread Stuffing
[44861]=62045,   -- Recipe: Slow-Roasted Turkey
[44862]=62044,   -- Recipe: Pumpkin Pie
[44916]=26403,   -- Pattern: Festival Dress
[44917]=26407,   -- Pattern: Festival Suit
[44918]=26443,   -- Schematic: Cluster Launcher
[44919]=26442,   -- Schematic: Firework Launcher
[44932]=62176,   -- Pattern: Windripper Boots
[44933]=62177,   -- Pattern: Windripper Leggings
[44937]=62202,   -- Plans: Titanium Plating
[44938]=62202,   -- Plans: Titanium Plating
[44944]=62256,   -- Formula: Enchant Bracer - Major Stamina
[44954]=62350,   -- Recipe: Worg Tartare
[44956]=22967,   -- Goblin's Guide to Elementium
[44977]=6417,    -- Recipe: Dig Rat Stew
[45050]=15596,   -- Formula: Smoking Heart of the Mountain
[45059]=62948,   -- Formula: Enchant Staff - Greater Spellpower
[45088]=63187,   -- Plans: Belt of the Titans
[45089]=63188,   -- Plans: Battlelord's Plate Boots
[45090]=63189,   -- Plans: Plate Girdle of Righteousness
[45091]=63190,   -- Plans: Treads of Destiny
[45092]=63191,   -- Plans: Indestructible Plate Girdle
[45093]=63192,   -- Plans: Spiked Deathdealers
[45094]=63194,   -- Pattern: Belt of Dragons
[45095]=63195,   -- Pattern: Boots of Living Scale
[45096]=63196,   -- Pattern: Blue Belt of Chaos
[45097]=63197,   -- Pattern: Lightning Grounded Boots
[45098]=63198,   -- Pattern: Death-Warmed Belt
[45099]=63199,   -- Pattern: Footpads of Silence
[45100]=63200,   -- Pattern: Belt of Arctic Life
[45101]=63201,   -- Pattern: Boots of Wintry Endurance
[45102]=63203,   -- Pattern: Sash of Ancient Power
[45103]=63204,   -- Pattern: Spellslinger's Slippers
[45104]=63205,   -- Pattern: Cord of the White Dawn
[45105]=63206,   -- Pattern: Savior's Slippers
[45774]=63924,   -- Pattern: Emerald Bag
[46027]=64441,   -- Formula: Enchant Weapon - Blade Ward
[46108]=64051,   -- Technique: Rituals of the New Moon
[46348]=64579,   -- Formula: Enchant Weapon - Blood Draining
[46710]=65454,   -- Recipe: Bread of the Dead
[46803]=66038,   -- Recipe: Spice Bread Stuffing
[46804]=66036,   -- Recipe: Pumpkin Pie
[46805]=66035,   -- Recipe: Cranberry Chutney
[46806]=66034,   -- Recipe: Candied Sweet Potato
[46807]=66037,   -- Recipe: Slow-Roasted Turkey
[46897]=66338,   -- Design: Regal Eye of Zul
[46898]=66428,   -- Design: Steady Eye of Zul
[46899]=66429,   -- Design: Nimble Eye of Zul
[46900]=66556,   -- Design: Purified Dreadstone
[46901]=66431,   -- Design: Jagged Eye of Zul
[46902]=66432,   -- Design: Timeless Dreadstone
[46903]=66556,   -- Design: Purified Dreadstone
[46904]=66434,   -- Design: Forceful Eye of Zul
[46905]=66435,   -- Design: Misty Eye of Zul
[46906]=66435,   -- Design: Misty Eye of Zul
[46907]=66439,   -- Design: Lightning Eye of Zul
[46908]=66441,   -- Design: Radiant Eye of Zul
[46909]=66439,   -- Design: Lightning Eye of Zul
[46910]=66442,   -- Design: Energized Eye of Zul
[46911]=66441,   -- Design: Radiant Eye of Zul
[46912]=66442,   -- Design: Energized Eye of Zul
[46913]=66443,   -- Design: Shattered Eye of Zul
[46914]=66445,   -- Design: Turbid Eye of Zul
[46915]=66445,   -- Design: Turbid Eye of Zul
[46916]=66446,   -- Design: Brilliant Cardinal Ruby
[46917]=66447,   -- Design: Bold Cardinal Ruby
[46918]=66448,   -- Design: Delicate Cardinal Ruby
[46919]=66448,   -- Design: Delicate Cardinal Ruby
[46920]=66450,   -- Design: Precise Cardinal Ruby
[46921]=66502,   -- Design: Smooth King's Amber
[46922]=66452,   -- Design: Subtle King's Amber
[46923]=66453,   -- Design: Flashing Cardinal Ruby
[46924]=66497,   -- Design: Solid Majestic Zircon
[46925]=66498,   -- Design: Sparkling Majestic Zircon
[46926]=66499,   -- Design: Stormy Majestic Zircon
[46927]=66498,   -- Design: Sparkling Majestic Zircon
[46928]=66501,   -- Design: Rigid Majestic Zircon
[46929]=66502,   -- Design: Smooth King's Amber
[46930]=66446,   -- Design: Brilliant Cardinal Ruby
[46931]=66452,   -- Design: Subtle King's Amber
[46932]=66505,   -- Design: Mystic King's Amber
[46933]=66506,   -- Design: Quick King's Amber
[46934]=66557,   -- Design: Shifting Dreadstone
[46935]=66554,   -- Design: Sovereign Dreadstone
[46936]=66432,   -- Design: Timeless Dreadstone
[46937]=66556,   -- Design: Purified Dreadstone
[46938]=66557,   -- Design: Shifting Dreadstone
[46939]=66556,   -- Design: Purified Dreadstone
[46940]=66338,   -- Design: Regal Eye of Zul
[46941]=66560,   -- Design: Defender's Dreadstone
[46942]=66561,   -- Design: Guardian's Dreadstone
[46943]=66562,   -- Design: Mysterious Dreadstone
[46944]=66431,   -- Design: Jagged Eye of Zul
[46945]=66573,   -- Design: Glinting Dreadstone
[46946]=66573,   -- Design: Glinting Dreadstone
[46947]=66556,   -- Design: Purified Dreadstone
[46948]=66567,   -- Design: Inscribed Ametrine
[46949]=66568,   -- Design: Deadly Ametrine
[46950]=66569,   -- Design: Potent Ametrine
[46951]=66570,   -- Design: Veiled Dreadstone
[46952]=66571,   -- Design: Willful Ametrine
[46953]=66572,   -- Design: Etched Dreadstone
[46956]=66573,   -- Design: Glinting Dreadstone
[47007]=66574,   -- Design: Reckless Ametrine
[47008]=66573,   -- Design: Glinting Dreadstone
[47010]=66576,   -- Design: Accurate Dreadstone
[47012]=66581,   -- Design: Stalwart Ametrine
[47015]=66579,   -- Design: Champion's Ametrine
[47016]=66585,   -- Design: Lucent Ametrine
[47017]=66581,   -- Design: Stalwart Ametrine
[47018]=66582,   -- Design: Resplendent Ametrine
[47019]=66583,   -- Design: Fierce Ametrine
[47020]=66584,   -- Design: Deft Ametrine
[47021]=66585,   -- Design: Lucent Ametrine
[47022]=66586,   -- Design: Resolute Ametrine
[47622]={67091,67130}, -- Plans: Breastplate of the White Knight
[47623]={67092,67131}, -- Plans: Saronite Swordbreakers
[47624]={67093,67132}, -- Plans: Titanium Razorplate
[47625]={67094,67133}, -- Plans: Titanium Spikeguards
[47626]={67095,67134}, -- Plans: Sunforged Breastplate
[47627]={67096,67135}, -- Plans: Sunforged Bracers
[47628]={67080,67136}, -- Pattern: Ensorcelled Nerubian Breastplate
[47629]={67081,67137}, -- Pattern: Black Chitin Bracers
[47630]={67082,67138}, -- Pattern: Crusader's Dragonscale Breastplate
[47631]={67083,67143}, -- Pattern: Crusader's Dragonscale Bracers
[47632]={67084,67140}, -- Pattern: Lunar Eclipse Robes
[47633]={67085,67141}, -- Pattern: Moonshadow Armguards
[47634]={67086,67142}, -- Pattern: Knightbane Carapace
[47635]={67087,67139}, -- Pattern: Bracers of Swift Death
[47636]={67064,67144}, -- Pattern: Royal Moonshroud Robe
[47637]={67065,67147}, -- Pattern: Royal Moonshroud Bracers
[47638]={67066,67146}, -- Pattern: Merlin's Robe
[47639]={67079,67145}, -- Pattern: Bejeweled Wizard's Bracers
[47640]={67091,67130}, -- Plans: Breastplate of the White Knight
[47641]={67092,67131}, -- Plans: Saronite Swordbreakers
[47642]={67096,67135}, -- Plans: Sunforged Bracers
[47643]={67095,67134}, -- Plans: Sunforged Breastplate
[47644]={67093,67132}, -- Plans: Titanium Razorplate
[47645]={67094,67133}, -- Plans: Titanium Spikeguards
[47646]={67081,67137}, -- Pattern: Black Chitin Bracers
[47647]={67087,67139}, -- Pattern: Bracers of Swift Death
[47648]={67083,67143}, -- Pattern: Crusader's Dragonscale Bracers
[47649]={67082,67138}, -- Pattern: Crusader's Dragonscale Breastplate
[47650]={67080,67136}, -- Pattern: Ensorcelled Nerubian Breastplate
[47651]={67086,67142}, -- Pattern: Knightbane Carapace
[47652]={67084,67140}, -- Pattern: Lunar Eclipse Robes
[47653]={67085,67141}, -- Pattern: Moonshadow Armguards
[47654]={67079,67145}, -- Pattern: Bejeweled Wizard's Bracers
[47655]={67066,67146}, -- Pattern: Merlin's Robe
[47656]={67065,67147}, -- Pattern: Royal Moonshroud Bracers
[47657]={67064,67144}, -- Pattern: Royal Moonshroud Robe
[49050]=68067,   -- Schematic: Jeeves
[49112]=68253,   -- Design: Nightmare Tear
[49953]=70550,   -- Pattern: Leggings of Woven Death
[49954]=70551,   -- Pattern: Deathfrost Boots
[49955]=70552,   -- Pattern: Lightweave Leggings
[49956]=70553,   -- Pattern: Sandals of Consecration
[49957]=70554,   -- Pattern: Legwraps of Unleashed Nature
[49958]=70555,   -- Pattern: Blessed Cenarion Boots
[49959]=70556,   -- Pattern: Bladeborn Leggings
[49961]=70557,   -- Pattern: Footpads of Impending Death
[49962]=70558,   -- Pattern: Lightning-Infused Leggings
[49963]=70559,   -- Pattern: Earthsoul Boots
[49965]=70560,   -- Pattern: Draconic Bonesplinter Legguards
[49966]=70561,   -- Pattern: Rock-Steady Treads
[49969]=70562,   -- Plans: Puresteel Legplates
[49970]=70563,   -- Plans: Protectors of Life
[49971]=70565,   -- Plans: Legplates of Painful Death
[49972]=70566,   -- Plans: Hellfrozen Bonegrinders
[49973]=70567,   -- Plans: Pillars of Might
[49974]=70568,   -- Plans: Boots of Kingly Upheaval
[50166]=71101,   -- Technique: Glyph of Counterspell
[50168]=71102,   -- Technique: Glyph of Everlasting Affliction
[50406]=71692,   -- Formula: Enchant Gloves - Angler
[52362]=73335,   -- Design: Bold Inferno Ruby
[52363]=73224,   -- Design: Flashing Carnelian
[52364]=73229,   -- Design: Stormy Zephyrite
[52365]=73231,   -- Design: Subtle Alicite
[52366]=73242,   -- Design: Defender's Nightstone
[52367]=73244,   -- Design: Guardian's Nightstone
[52368]=73245,   -- Design: Purified Nightstone
[52369]=73248,   -- Design: Retaliating Nightstone
[52370]=73258,   -- Design: Polished Hessonite
[52371]=73260,   -- Design: Inscribed Hessonite
[52372]=73262,   -- Design: Deadly Hessonite
[52373]=73263,   -- Design: Potent Hessonite
[52374]=73264,   -- Design: Fierce Hessonite
[52375]=73265,   -- Design: Deft Hessonite
[52376]=73269,   -- Design: Fine Hessonite
[52377]=73271,   -- Design: Keen Hessonite
[52378]=73272,   -- Design: Regal Jasper
[52379]=73273,   -- Design: Nimble Jasper
[52380]=73336,   -- Design: Delicate Inferno Ruby
[52381]=73396,   -- Design: Bold Chimera's Eye
[52382]=73275,   -- Design: Piercing Jasper
[52383]=73276,   -- Design: Steady Jasper
[52384]=73337,   -- Design: Flashing Inferno Ruby
[52385]=73277,   -- Design: Forceful Jasper
[52386]=73278,   -- Design: Lightning Jasper
[52387]=73338,   -- Design: Brilliant Inferno Ruby
[52388]=73280,   -- Design: Zen Jasper
[52389]=73339,   -- Design: Precise Inferno Ruby
[52390]=73340,   -- Design: Solid Ocean Sapphire
[52391]=73341,   -- Design: Sparkling Ocean Sapphire
[52392]=73343,   -- Design: Stormy Ocean Sapphire
[52393]=73344,   -- Design: Rigid Ocean Sapphire
[52394]=73345,   -- Design: Subtle Amberjewel
[52395]=73346,   -- Design: Smooth Amberjewel
[52396]=73347,   -- Design: Mystic Amberjewel
[52397]=73348,   -- Design: Quick Amberjewel
[52398]=73349,   -- Design: Fractured Amberjewel
[52399]=73350,   -- Design: Sovereign Demonseye
[52400]=73351,   -- Design: Shifting Demonseye
[52401]=73352,   -- Design: Defender's Demonseye
[52402]=73353,   -- Design: Timeless Demonseye
[52403]=73354,   -- Design: Guardian's Demonseye
[52404]=73355,   -- Design: Purified Demonseye
[52405]=73356,   -- Design: Etched Demonseye
[52406]=73357,   -- Design: Glinting Demonseye
[52407]=73358,   -- Design: Retaliating Demonseye
[52408]=73359,   -- Design: Veiled Demonseye
[52409]=73360,   -- Design: Accurate Demonseye
[52410]=73361,   -- Design: Polished Ember Topaz
[52411]=73362,   -- Design: Resolute Ember Topaz
[52412]=73364,   -- Design: Inscribed Ember Topaz
[52413]=73365,   -- Design: Deadly Ember Topaz
[52414]=73366,   -- Design: Potent Ember Topaz
[52415]=73367,   -- Design: Fierce Ember Topaz
[52416]=73368,   -- Design: Deft Ember Topaz
[52417]=73369,   -- Design: Reckless Ember Topaz
[52418]=73370,   -- Design: Skillful Ember Topaz
[52419]=73371,   -- Design: Adept Ember Topaz
[52420]=73372,   -- Design: Fine Ember Topaz
[52421]=73373,   -- Design: Artful Ember Topaz
[52422]=73374,   -- Design: Keen Ember Topaz
[52423]=73375,   -- Design: Regal Dream Emerald
[52424]=73376,   -- Design: Nimble Dream Emerald
[52425]=73377,   -- Design: Jagged Dream Emerald
[52426]=73378,   -- Design: Piercing Dream Emerald
[52427]=73379,   -- Design: Steady Dream Emerald
[52428]=73380,   -- Design: Forceful Dream Emerald
[52429]=73381,   -- Design: Lightning Dream Emerald
[52430]=73382,   -- Design: Puissant Dream Emerald
[52431]=73383,   -- Design: Zen Dream Emerald
[52432]=73384,   -- Design: Sensei's Dream Emerald
[52433]=73464,   -- Design: Fleet Shadowspirit Diamond
[52434]=73465,   -- Design: Chaotic Shadowspirit Diamond
[52435]=73466,   -- Design: Bracing Shadowspirit Diamond
[52436]=73467,   -- Design: Eternal Shadowspirit Diamond
[52437]=73468,   -- Design: Austere Shadowspirit Diamond
[52438]=73469,   -- Design: Effulgent Shadowspirit Diamond
[52439]=73470,   -- Design: Ember Shadowspirit Diamond
[52440]=73471,   -- Design: Revitalizing Shadowspirit Diamond
[52441]=73472,   -- Design: Destructive Shadowspirit Diamond
[52442]=73473,   -- Design: Powerful Shadowspirit Diamond
[52443]=73474,   -- Design: Enigmatic Shadowspirit Diamond
[52444]=73475,   -- Design: Impassive Shadowspirit Diamond
[52445]=73476,   -- Design: Forlorn Shadowspirit Diamond
[52447]=73397,   -- Design: Delicate Chimera's Eye
[52448]=73398,   -- Design: Flashing Chimera's Eye
[52449]=73399,   -- Design: Brilliant Chimera's Eye
[52450]=73400,   -- Design: Precise Chimera's Eye
[52451]=73401,   -- Design: Solid Chimera's Eye
[52452]=73402,   -- Design: Sparkling Chimera's Eye
[52453]=73403,   -- Design: Stormy Chimera's Eye
[52454]=73404,   -- Design: Rigid Chimera's Eye
[52455]=73405,   -- Design: Subtle Chimera's Eye
[52456]=73406,   -- Design: Smooth Chimera's Eye
[52457]=73407,   -- Design: Mystic Chimera's Eye
[52458]=73408,   -- Design: Quick Chimera's Eye
[52459]=73409,   -- Design: Fractured Chimera's Eye
[52460]=73520,   -- Design: Elementium Destroyer's Ring
[52461]=73498,   -- Design: Band of Blades
[52462]=73502,   -- Design: Ring of Warring Elements
[52463]=73503,   -- Design: Elementium Moebius Band
[52464]=73521,   -- Design: Brazen Elementium Medallion
[52465]=73504,   -- Design: Entwined Elementium Choker
[52466]=73505,   -- Design: Eye of Many Deaths
[52467]=73506,   -- Design: Elementium Guardian
[52494]=73625,   -- Design: Jeweler's Ruby Monocle
[52495]=73626,   -- Design: Jeweler's Sapphire Monocle
[52496]=73627,   -- Design: Jeweler's Amber Monocle
[52497]=73626,   -- Design: Jeweler's Sapphire Monocle
[52733]=74242,   -- Formula: Enchant Weapon - Power Torrent
[52735]=74244,   -- Formula: Enchant Weapon - Windwalk
[52736]=74246,   -- Formula: Enchant Weapon - Landslide
[52737]=74247,   -- Formula: Enchant Cloak - Greater Critical Strike
[52738]=74248,   -- Formula: Enchant Bracer - Greater Critical Strike
[52739]=74250,   -- Formula: Enchant Chest - Peerless Stats
[52740]=74251,   -- Formula: Enchant Chest - Greater Stamina
[54593]=75306,   -- Pattern: Vicious Embersilk Cowl
[54594]=75307,   -- Pattern: Vicious Embersilk Pants
[54595]=75305,   -- Pattern: Vicious Embersilk Robe
[54596]=75304,   -- Pattern: Vicious Fireweave Cowl
[54597]=75302,   -- Pattern: Vicious Fireweave Pants
[54598]=75303,   -- Pattern: Vicious Fireweave Robe
[54599]=75309,   -- Pattern: Powerful Enchanted Spellthread
[54600]=75310,   -- Pattern: Powerful Ghostly Spellthread
[54601]=75298,   -- Pattern: Belt of the Depths
[54602]=75299,   -- Pattern: Dreamless Belt
[54603]=75300,   -- Pattern: Breeches of Mended Nightmares
[54604]=75301,   -- Pattern: Flame-Ascended Pantaloons
[54605]=75308,   -- Pattern: Illusionary Bag
[54798]=75597,   -- Pattern: Frosty Flying Carpet
[62799]=88011,   -- Recipe: Broiled Dragon Feast
[62800]=88036,   -- Recipe: Seafood Magnifique Feast
[64411]=74252,   -- Formula: Enchant Boots - Assassin's Step
[64412]=74253,   -- Formula: Enchant Boots - Lavawalker
[64413]=74256,   -- Formula: Enchant Bracer - Greater Speed
[64414]=74255,   -- Formula: Enchant Gloves - Greater Mastery
[64415]=74254,   -- Formula: Enchant Gloves - Mighty Strength
[65406]=88047,   -- Recipe: Whitecrest Gumbo
[65407]=88024,   -- Recipe: Lavascale Fillet
[65408]=88017,   -- Recipe: Feathered Lure
[65409]=88025,   -- Recipe: Lavascale Minestrone
[65410]=88035,   -- Recipe: Salted Eye
[65411]=88012,   -- Recipe: Broiled Mountain Trout
[65412]=88028,   -- Recipe: Lightly Fried Lurker
[65413]=88037,   -- Recipe: Seasoned Crab
[65414]=88045,   -- Recipe: Starfire Espresso
[65415]=88022,   -- Recipe: Highland Spirits
[65416]=88030,   -- Recipe: Lurker Lunch
[65417]=88033,   -- Recipe: Pickled Guppy
[65418]=88021,   -- Recipe: Hearty Seafood Soup
[65419]=88046,   -- Recipe: Tender Baked Turtle
[65420]=88031,   -- Recipe: Mushroom Sauce Mudfish
[65421]=88039,   -- Recipe: Severed Sagefish Head
[65422]=88016,   -- Recipe: Delicious Sagefish Tail
[65423]=88018,   -- Recipe: Fish Fry
[65424]=88034,   -- Recipe: Blackbelly Sushi
[65425]=88042,   -- Recipe: Skewered Eel
[65426]=88003,   -- Recipe: Baked Rockfish
[65427]=88004,   -- Recipe: Basilisk Liverdog
[65428]=88020,   -- Recipe: Grilled Dragon
[65429]=88005,   -- Recipe: Beer-Basted Crocolisk
[65430]=88014,   -- Recipe: Crocolisk Au Gratin
[65431]=88013,   -- Recipe: Chocolate Cookie
[65432]=88019,   -- Recipe: Fortune Cookie
[65433]=88044,   -- Recipe: South Island Iced Tea
[65435]=92643,   -- Recipe: Cauldron of Battle
[65498]=92688,   -- Recipe: Big Cauldron of Battle
[65649]=86644,   -- Technique: Origami Slime
[65650]=86645,   -- Technique: Origami Rock
[65651]=86646,   -- Technique: Origami Beetle
[66062]=76179,   -- Plans: Hardened Obsidium Bracers
[66063]=76180,   -- Plans: Hardened Obsidium Gauntlets
[66064]=76181,   -- Plans: Hardened Obsidium Belt
[66065]=76182,   -- Plans: Hardened Obsidium Boots
[66066]=76258,   -- Plans: Hardened Obsidium Shoulders
[66068]=76259,   -- Plans: Hardened Obsidium Legguards
[66069]=76260,   -- Plans: Hardened Obsidium Helm
[66071]=76261,   -- Plans: Hardened Obsidium Breastplate
[66072]=76262,   -- Plans: Redsteel Bracers
[66074]=76263,   -- Plans: Redsteel Gauntlets
[66077]=76264,   -- Plans: Redsteel Belt
[66078]=76265,   -- Plans: Redsteel Boots
[66079]=76266,   -- Plans: Redsteel Shoulders
[66081]=76267,   -- Plans: Redsteel Legguards
[66082]=76269,   -- Plans: Redsteel Helm
[66083]=76270,   -- Plans: Redsteel Breastplate
[66084]=76280,   -- Plans: Stormforged Bracers
[66085]=76281,   -- Plans: Stormforged Gauntlets
[66086]=76283,   -- Plans: Stormforged Belt
[66087]=76285,   -- Plans: Stormforged Boots
[66088]=76286,   -- Plans: Stormforged Shoulders
[66089]=76287,   -- Plans: Stormforged Legguards
[66090]=76288,   -- Plans: Stormforged Helm
[66091]=76289,   -- Plans: Stormforged Breastplate
[66092]=76291,   -- Plans: Hardened Obsidium Shield
[66093]=76293,   -- Plans: Stormforged Shield
[66094]=76433,   -- Plans: Decapitator's Razor
[66095]=76434,   -- Plans: Cold-Forged Shank
[66096]=76435,   -- Plans: Fire-Etched Dagger
[66097]=76436,   -- Plans: Lifeforce Hammer
[66098]=76437,   -- Plans: Obsidium Executioner
[66099]=76438,   -- Plans: Obsidium Skeleton Key
[66100]=76439,   -- Plans: Ebonsteel Belt Buckle
[66101]=76440,   -- Plans: Pyrium Shield Spike
[66102]=76441,   -- Plans: Elementium Shield Spike
[66103]=76442,   -- Plans: Pyrium Weapon Chain
[66104]=76443,   -- Plans: Hardened Elementium Hauberk
[66105]=76444,   -- Plans: Hardened Elementium Girdle
[66106]=76445,   -- Plans: Elementium Deathplate
[66107]=76446,   -- Plans: Elementium Girdle of Pain
[66108]=76447,   -- Plans: Light Elementium Chestguard
[66109]=76448,   -- Plans: Light Elementium Belt
[66110]=76449,   -- Plans: Elementium Spellblade
[66111]=76450,   -- Plans: Elementium Hammer
[66112]=76451,   -- Plans: Elementium Poleaxe
[66113]=76452,   -- Plans: Elementium Bonesplitter
[66114]=76453,   -- Plans: Elementium Shank
[66115]=76454,   -- Plans: Elementium Earthguard
[66116]=76455,   -- Plans: Elementium Stormshield
[66117]=76456,   -- Plans: Vicious Pyrium Bracers
[66118]=76457,   -- Plans: Vicious Pyrium Gauntlets
[66119]=76458,   -- Plans: Vicious Pyrium Belt
[66120]=76459,   -- Plans: Vicious Pyrium Boots
[66121]=76461,   -- Plans: Vicious Pyrium Shoulders
[66122]=76462,   -- Plans: Vicious Pyrium Legguards
[66123]=76463,   -- Plans: Vicious Pyrium Helm
[66124]=76464,   -- Plans: Vicious Pyrium Breastplate
[66125]=76465,   -- Plans: Vicious Ornate Pyrium Bracers
[66126]=76466,   -- Plans: Vicious Ornate Pyrium Gauntlets
[66127]=76467,   -- Plans: Vicious Ornate Pyrium Belt
[66128]=76468,   -- Plans: Vicious Ornate Pyrium Boots
[66129]=76469,   -- Plans: Vicious Ornate Pyrium Shoulders
[66130]=76470,   -- Plans: Vicious Ornate Pyrium Legguards
[66131]=76471,   -- Plans: Vicious Ornate Pyrium Helm
[66132]=76472,   -- Plans: Vicious Ornate Pyrium Breastplate
[66133]=76474,   -- Plans: Obsidium Bladespear
[66995]=78380,   -- Pattern: Savage Cloak
[66996]=78388,   -- Pattern: Tsunami Bracers
[66997]=78396,   -- Pattern: Tsunami Belt
[66999]=78398,   -- Pattern: Darkbrand Bracers
[67000]=78399,   -- Pattern: Darkbrand Gloves
[67006]=78406,   -- Pattern: Tsunami Gloves
[67007]=78407,   -- Pattern: Darkbrand Boots
[67010]=78410,   -- Pattern: Tsunami Boots
[67011]=78411,   -- Pattern: Darkbrand Shoulders
[67014]=78415,   -- Pattern: Tsunami Shoulders
[67015]=78416,   -- Pattern: Darkbrand Belt
[67018]=78419,   -- Pattern: Scorched Leg Armor
[67019]=78420,   -- Pattern: Twilight Leg Armor
[67020]=78423,   -- Pattern: Tsunami Chestguard
[67021]=78424,   -- Pattern: Darkbrand Helm
[67025]=78427,   -- Pattern: Tsunami Leggings
[67026]=78428,   -- Pattern: Darkbrand Chestguard
[67031]=78432,   -- Pattern: Tsunami Helm
[67033]=78433,   -- Pattern: Darkbrand Leggings
[67036]=78436,   -- Pattern: Heavy Savage Leather
[67038]=78437,   -- Pattern: Heavy Savage Armor Kit
[67039]=78438,   -- Pattern: Cloak of Beasts
[67041]=78439,   -- Pattern: Cloak of War
[67042]=78444,   -- Pattern: Vicious Wyrmhide Bracers
[67044]=78445,   -- Pattern: Vicious Wyrmhide Belt
[67046]=78446,   -- Pattern: Vicious Leather Bracers
[67048]=78447,   -- Pattern: Vicious Leather Gloves
[67049]=78448,   -- Pattern: Vicious Charscale Bracers
[67053]=78449,   -- Pattern: Vicious Charscale Gloves
[67054]=78450,   -- Pattern: Vicious Dragonscale Bracers
[67055]=78451,   -- Pattern: Vicious Dragonscale Shoulders
[67056]=78452,   -- Pattern: Vicious Wyrmhide Gloves
[67058]=78453,   -- Pattern: Vicious Wyrmhide Boots
[67060]=78454,   -- Pattern: Vicious Leather Boots
[67062]=78455,   -- Pattern: Vicious Leather Shoulders
[67063]=78456,   -- Pattern: Vicious Charscale Boots
[67064]=78457,   -- Pattern: Vicious Charscale Belt
[67065]=78458,   -- Pattern: Vicious Dragonscale Boots
[67066]=78459,   -- Pattern: Vicious Dragonscale Gloves
[67068]=78460,   -- Pattern: Lightning Lash
[67070]=78461,   -- Pattern: Belt of Nefarious Whispers
[67072]=78462,   -- Pattern: Stormleather Sash
[67073]=78463,   -- Pattern: Corded Viper Belt
[67074]=78464,   -- Pattern: Vicious Wyrmhide Shoulders
[67075]=78467,   -- Pattern: Vicious Wyrmhide Chest
[67076]=78468,   -- Pattern: Vicious Leather Belt
[67077]=78469,   -- Pattern: Vicious Leather Helm
[67078]=78470,   -- Pattern: Vicious Charscale Shoulders
[67079]=78471,   -- Pattern: Vicious Charscale Legs
[67080]=78473,   -- Pattern: Vicious Dragonscale Belt
[67081]=78474,   -- Pattern: Vicious Dragonscale Helm
[67082]=78475,   -- Pattern: Razor-Edged Cloak
[67083]=78476,   -- Pattern: Twilight Dragonscale Cloak
[67084]=78478,   -- Pattern: Charscale Leg Armor
[67085]=78479,   -- Pattern: Vicious Wyrmhide Legs
[67086]=78480,   -- Pattern: Vicious Wyrmhide Helm
[67087]=78481,   -- Pattern: Vicious Leather Chest
[67089]=78482,   -- Pattern: Vicious Leather Legs
[67090]=78483,   -- Pattern: Vicious Charscale Chest
[67091]=78484,   -- Pattern: Vicious Charscale Helm
[67092]=78485,   -- Pattern: Vicious Dragonscale Legs
[67093]=78486,   -- Pattern: Vicious Dragonscale Chest
[67094]=78487,   -- Pattern: Chestguard of Nature's Fury
[67095]=78488,   -- Pattern: Assassin's Chestplate
[67096]=78489,   -- Pattern: Twilight Scale Chestguard
[67100]=78490,   -- Pattern: Dragonkiller Tunic
[67308]=93841,   -- Formula: Enchanted Lantern
[67312]=93843,   -- Formula: Magic Lamp
[67538]=93328,   -- Recipe: Vial of the Sands
[67541]=75289,   -- Pattern: High Society Top Hat
[67603]=94718,   -- Plans: Elementium Gutslicer
[67606]=94732,   -- Plans: Forged Elementium Mindcrusher
[68193]=78477,   -- Pattern: Dragonscale Leg Armor
[68199]=75288,   -- Pattern: Black Embersilk Gown
[68359]=95754,   -- Design: Willful Ember Topaz
[68360]=95755,   -- Design: Lucent Ember Topaz
[68361]=95756,   -- Design: Resplendent Ember Topaz
[68688]=96133,   -- Recipe: Scalding Murglesnout
[68742]=96226,   -- Design: Vivid Dream Emerald
[68781]=96255,   -- Design: Agile Shadowspirit Diamond
[68782]=96256,   -- Design: Reverberating Shadowspirit Diamond
[68783]=96257,   -- Design: Burning Shadowspirit Diamond
[68787]=96264,   -- Formula: Enchant Bracer - Agility
[68788]=96261,   -- Formula: Enchant Bracer - Major Strength
[68789]=96262,   -- Formula: Enchant Bracer - Mighty Intellect
[68810]=89815,   -- Technique: Glyph of Colossus Smash
[69820]=73266,   -- Design: Reckless Hessonite
[69853]=98921,   -- Design: Punisher's Band
[69957]=99439,   -- Plans: Fists of Fury
[69958]=99440,   -- Plans: Eternal Elementium Handguards
[69959]=99441,   -- Plans: Holy Flame Gauntlets
[69960]=99443,   -- Pattern: Dragonfire Gloves
[69961]=99445,   -- Pattern: Gloves of Unforgiving Flame
[69962]=99446,   -- Pattern: Clutches of Evil
[69963]=99447,   -- Pattern: Heavenly Gloves of the Moon
[69965]=99448,   -- Pattern: Grips of Altered Reality
[69966]=99449,   -- Pattern: Don Tayo's Inferno Mittens
[69968]=99452,   -- Plans: Warboots of Mighty Lords
[69969]=99453,   -- Plans: Mirrored Boots
[69970]=99454,   -- Plans: Emberforged Elementium Boots
[69971]=99455,   -- Pattern: Earthen Scale Sabatons
[69972]=99456,   -- Pattern: Footwraps of Quenched Fire
[69973]=99457,   -- Pattern: Treads of the Craft
[69974]=99458,   -- Pattern: Ethereal Footfalls
[69975]=99459,   -- Pattern: Endless Dream Walkers
[69976]=99460,   -- Pattern: Boots of the Black Flame
[70166]=99652,   -- Plans: Brainsplinter
[70167]=99653,   -- Plans: Masterwork Elementium Spellblade
[70168]=99654,   -- Plans: Lightforged Elementium Hammer
[70169]=99655,   -- Plans: Elementium-Edged Scalper
[70170]=99656,   -- Plans: Pyrium Spellward
[70171]=99657,   -- Plans: Unbreakable Guardian
[70172]=99658,   -- Plans: Masterwork Elementium Deathblade
[70173]=99660,   -- Plans: Witch-Hunter's Harvester
[70174]=100583,  -- Pattern: Royal Scribe's Satchel
[70175]=100586,  -- Pattern: Triple-Reinforced Mining Bag
[70176]=100585,  -- Pattern: Luxurious Silk Gem Bag
[70177]=100587,  -- Schematic: Flintlocke's Woodchucker
[71078]=100687,  -- Schematic: Extreme-Impact Hole Puncher
[71714]=13882,   -- Formula: Enchant Cloak - Lesser Agility
[71721]=101599,  -- Pattern: Drakehide Leg Armor
[71821]=101735,  -- Design: Rigid Deepholm Iolite
[71884]=101740,  -- Design: Stormy Deepholm Iolite
[71885]=101741,  -- Design: Sparkling Deepholm Iolite
[71886]=101742,  -- Design: Solid Deepholm Iolite
[71887]=101743,  -- Design: Misty Elven Peridot
[71888]=101744,  -- Design: Piercing Elven Peridot
[71889]=101745,  -- Design: Lightning Elven Peridot
[71890]=101746,  -- Design: Sensei's Elven Peridot
[71891]=101747,  -- Design: Infused Elven Peridot
[71892]=101748,  -- Design: Zen Elven Peridot
[71893]=101749,  -- Design: Balanced Elven Peridot
[71894]=101750,  -- Design: Vivid Elven Peridot
[71895]=101751,  -- Design: Turbid Elven Peridot
[71896]=101752,  -- Design: Radiant Elven Peridot
[71897]=101753,  -- Design: Shattered Elven Peridot
[71898]=101754,  -- Design: Energized Elven Peridot
[71899]=101755,  -- Design: Jagged Elven Peridot
[71900]=101756,  -- Design: Regal Elven Peridot
[71901]=101757,  -- Design: Forceful Elven Peridot
[71902]=101758,  -- Design: Nimble Elven Peridot
[71903]=101759,  -- Design: Puissant Elven Peridot
[71904]=101760,  -- Design: Steady Elven Peridot
[71905]=101761,  -- Design: Deadly Lava Coral
[71906]=101762,  -- Design: Crafty Lava Coral
[71907]=101763,  -- Design: Potent Lava Coral
[71908]=101764,  -- Design: Inscribed Lava Coral
[71909]=101765,  -- Design: Polished Lava Coral
[71910]=101766,  -- Design: Resolute Lava Coral
[71911]=101767,  -- Design: Stalwart Lava Coral
[71912]=101768,  -- Design: Champion's Lava Coral
[71913]=101769,  -- Design: Deft Lava Coral
[71914]=101770,  -- Design: Wicked Lava Coral
[71915]=101771,  -- Design: Reckless Lava Coral
[71916]=101772,  -- Design: Fierce Lava Coral
[71917]=101773,  -- Design: Adept Lava Coral
[71918]=101774,  -- Design: Keen Lava Coral
[71919]=101775,  -- Design: Artful Lava Coral
[71920]=101776,  -- Design: Fine Lava Coral
[71921]=101777,  -- Design: Skillful Lava Coral
[71922]=101778,  -- Design: Lucent Lava Coral
[71923]=101779,  -- Design: Tenuous Lava Coral
[71924]=101780,  -- Design: Willful Lava Coral
[71925]=101781,  -- Design: Splendid Lava Coral
[71926]=101782,  -- Design: Resplendent Lava Coral
[71927]=101783,  -- Design: Glinting Shadow Spinel
[71928]=101784,  -- Design: Accurate Shadow Spinel
[71929]=101785,  -- Design: Veiled Shadow Spinel
[71930]=101786,  -- Design: Retaliating Shadow Spinel
[71931]=101787,  -- Design: Etched Shadow Spinel
[71932]=101788,  -- Design: Mysterious Shadow Spinel
[71933]=101789,  -- Design: Purified Shadow Spinel
[71934]=101790,  -- Design: Shifting Shadow Spinel
[71935]=101791,  -- Design: Guardian's Shadow Spinel
[71936]=101792,  -- Design: Timeless Shadow Spinel
[71937]=101793,  -- Design: Defender's Shadow Spinel
[71938]=101794,  -- Design: Sovereign Shadow Spinel
[71939]=101795,  -- Design: Delicate Queen's Garnet
[71940]=101796,  -- Design: Precise Queen's Garnet
[71941]=101797,  -- Design: Brilliant Queen's Garnet
[71942]=101798,  -- Design: Flashing Queen's Garnet
[71943]=101799,  -- Design: Bold Queen's Garnet
[71944]=101800,  -- Design: Smooth Lightstone
[71945]=101801,  -- Design: Subtle Lightstone
[71946]=101802,  -- Design: Quick Lightstone
[71947]=101803,  -- Design: Fractured Lightstone
[71948]=101804,  -- Design: Mystic Lightstone
[71965]=73623,   -- Design: Rhinestone Sunglasses
[71999]=101933,  -- Pattern: Leggings of Nature's Champion
[72000]=101920,  -- Pattern: World Mender's Pants
[72001]=101924,  -- Plans: Pyrium Legplates of Purified Evil
[72002]=101921,  -- Pattern: Lavaquake Legwraps
[72003]=101922,  -- Pattern: Dreamwraps of the Light
[72004]=101923,  -- Pattern: Bracers of Unconquered Power
[72005]=101934,  -- Pattern: Deathscale Leggings
[72006]=101935,  -- Pattern: Bladeshadow Leggings
[72007]=101936,  -- Pattern: Rended Earth Leggings
[72008]=101937,  -- Pattern: Bracers of Flowing Serenity
[72009]=101939,  -- Pattern: Thundering Deathscale Wristguards
[72010]=101940,  -- Pattern: Bladeshadow Wristguards
[72011]=101941,  -- Pattern: Bracers of the Hunter-Killer
[72012]=101925,  -- Plans: Unstoppable Destroyer's Legplates
[72013]=101928,  -- Plans: Foundations of Courage
[72014]=101929,  -- Plans: Soul Redeemer Bracers
[72015]=101931,  -- Plans: Bracers of Destructive Strength
[72016]=101932,  -- Plans: Titanguard Wristplates
[72025]=10542,   -- Pattern: Tough Scorpid Gloves
[72026]=10533,   -- Pattern: Tough Scorpid Bracers
[72027]=10564,   -- Pattern: Tough Scorpid Shoulders
[72028]=10554,   -- Pattern: Tough Scorpid Boots
[72029]=10525,   -- Pattern: Tough Scorpid Breastplate
[72030]=10568,   -- Pattern: Tough Scorpid Leggings
[72033]=10570,   -- Pattern: Tough Scorpid Helm
[74274]=10007,   -- Plans: Phantom Blade
[74657]=125120,  -- Recipe: Spicy Salmon
[74658]=125123,  -- Recipe: Spicy Vegetable Chips
[75013]=105190,  -- Recipe: Pandaren Banquet
[75017]=105194,  -- Recipe: Great Pandaren Banquet
[78342]=6417,    -- Plump Dig Rat
[78343]=13617,   -- Formula: Enchant Gloves - Herbalism
[78345]=19060,   -- Pattern: Green Dragonscale Leggings
[78346]=19050,   -- Pattern: Green Dragonscale Breastplate
[78348]=42974,   -- Formula: Enchant Weapon - Executioner
[83787]=122649,  -- Plans: Ghost Reaver's Breastplate
[83788]=122650,  -- Plans: Ghost Reaver's Gauntlets
[83789]=122651,  -- Plans: Living Steel Breastplate
[83790]=122652,  -- Plans: Living Steel Gauntlets
[83791]=122653,  -- Plans: Breastplate of Ancient Steel
[83792]=122654,  -- Plans: Gauntlets of Ancient Steel
[83807]=107693,  -- Design: Accurate Imperial Amethyst
[83808]=107627,  -- Design: Accurate Roguestone
[83809]=107645,  -- Design: Adept Tiger Opal
[83810]=107715,  -- Design: Adept Vermilion Onyx
[83811]=107753,  -- Design: Agile Primal Diamond
[83813]=107646,  -- Design: Artful Tiger Opal
[83814]=107716,  -- Design: Artful Vermilion Onyx
[83815]=107754,  -- Design: Austere Primal Diamond
[83816]=107598,  -- Design: Balanced Alexandrite
[83817]=106960,  -- Design: Balanced Wild Jade
[83818]=122668,  -- Design: Band of Blood
[83819]=107622,  -- Design: Bold Pandarian Garnet
[83820]=107705,  -- Design: Bold Primordial Ruby
[83821]=122675,  -- Design: Bold Serpent's Eye
[83822]=107623,  -- Design: Brilliant Pandarian Garnet
[83823]=107706,  -- Design: Brilliant Primordial Ruby
[83824]=122676,  -- Design: Brilliant Serpent's Eye
[83825]=107756,  -- Design: Burning Primal Diamond
[83826]=107647,  -- Design: Champion's Tiger Opal
[83827]=107717,  -- Design: Champion's Vermilion Onyx
[83828]=107648,  -- Design: Crafty Tiger Opal
[83829]=107718,  -- Design: Crafty Vermilion Onyx
[83830]=121843,  -- Design: Sunstone Panther
[83831]=107649,  -- Design: Deadly Tiger Opal
[83832]=107719,  -- Design: Deadly Vermilion Onyx
[83833]=107694,  -- Design: Defender's Imperial Amethyst
[83834]=107628,  -- Design: Defender's Roguestone
[83835]=107650,  -- Design: Deft Tiger Opal
[83836]=107720,  -- Design: Deft Vermilion Onyx
[83837]=107624,  -- Design: Delicate Pandarian Garnet
[83838]=107707,  -- Design: Delicate Primordial Ruby
[83839]=122674,  -- Design: Delicate Serpent's Eye
[83840]=107757,  -- Design: Destructive Primal Diamond
[83841]=107599,  -- Design: Effulgent Alexandrite
[83842]=107758,  -- Design: Effulgent Primal Diamond
[83843]=106957,  -- Design: Effulgent Wild Jade
[83844]=107759,  -- Design: Ember Primal Diamond
[83845]=121844,  -- Design: Jade Panther
[83846]=107600,  -- Design: Energized Alexandrite
[83847]=107737,  -- Design: Energized Wild Jade
[83848]=107760,  -- Design: Enigmatic Primal Diamond
[83849]=107695,  -- Design: Etched Imperial Amethyst
[83850]=107630,  -- Design: Etched Roguestone
[83851]=107762,  -- Design: Eternal Primal Diamond
[83852]=107651,  -- Design: Fierce Tiger Opal
[83853]=107721,  -- Design: Fierce Vermilion Onyx
[83854]=107652,  -- Design: Fine Tiger Opal
[83855]=107722,  -- Design: Fine Vermilion Onyx
[83856]=107625,  -- Design: Flashing Pandarian Garnet
[83857]=107708,  -- Design: Flashing Primordial Ruby
[83858]=122685,  -- Design: Flashing Serpent's Eye
[83859]=107763,  -- Design: Fleet Primal Diamond
[83860]=107601,  -- Design: Forceful Alexandrite
[83861]=107738,  -- Design: Forceful Wild Jade
[83862]=107764,  -- Design: Forlorn Primal Diamond
[83863]=122684,  -- Design: Fractured Serpent's Eye
[83864]=107710,  -- Design: Fractured Sun's Radiance
[83865]=107640,  -- Design: Fractured Sunstone
[83866]=107696,  -- Design: Glinting Imperial Amethyst
[83867]=107631,  -- Design: Glinting Roguestone
[83868]=122670,  -- Design: Golembreaker Amulet
[83869]=107697,  -- Design: Guardian's Imperial Amethyst
[83870]=107632,  -- Design: Guardian's Roguestone
[83871]=122664,  -- Design: Heart of the Earth
[83872]=107765,  -- Design: Impassive Primal Diamond
[83873]=107653,  -- Design: Inscribed Tiger Opal
[83874]=107723,  -- Design: Inscribed Vermilion Onyx
[83875]=107602,  -- Design: Jagged Alexandrite
[83876]=107739,  -- Design: Jagged Wild Jade
[83877]=120045,  -- Design: Jeweled Onyx Panther
[83878]=107654,  -- Design: Keen Tiger Opal
[83879]=107724,  -- Design: Keen Vermilion Onyx
[83881]=107604,  -- Design: Lightning Alexandrite
[83882]=106955,  -- Design: Lightning Wild Jade
[83883]=122667,  -- Design: Lionsfall Ring
[83884]=122666,  -- Design: Lord's Signet
[83885]=107655,  -- Design: Lucent Tiger Opal
[83886]=107725,  -- Design: Lucent Vermilion Onyx
[83887]=107605,  -- Design: Misty Alexandrite
[83888]=106953,  -- Design: Misty Wild Jade
[83889]=107698,  -- Design: Mysterious Imperial Amethyst
[83890]=107633,  -- Design: Mysterious Roguestone
[83891]=107711,  -- Design: Mystic Sun's Radiance
[83892]=107641,  -- Design: Mystic Sunstone
[83893]=107606,  -- Design: Nimble Alexandrite
[83894]=107740,  -- Design: Nimble Wild Jade
[83895]=107607,  -- Design: Piercing Alexandrite
[83896]=106954,  -- Design: Piercing Wild Jade
[83897]=107656,  -- Design: Polished Tiger Opal
[83898]=107726,  -- Design: Polished Vermilion Onyx
[83899]=107657,  -- Design: Potent Tiger Opal
[83900]=107727,  -- Design: Potent Vermilion Onyx
[83901]=107766,  -- Design: Powerful Primal Diamond
[83902]=107626,  -- Design: Precise Pandarian Garnet
[83903]=107709,  -- Design: Precise Primordial Ruby
[83904]=122683,  -- Design: Precise Serpent's Eye
[83905]=107608,  -- Design: Puissant Alexandrite
[83906]=107742,  -- Design: Puissant Wild Jade
[83907]=107699,  -- Design: Purified Imperial Amethyst
[83908]=107634,  -- Design: Purified Roguestone
[83909]=122682,  -- Design: Quick Serpent's Eye
[83910]=107712,  -- Design: Quick Sun's Radiance
[83911]=107642,  -- Design: Quick Sunstone
[83912]=107609,  -- Design: Radiant Alexandrite
[83913]=107743,  -- Design: Radiant Wild Jade
[83914]=107658,  -- Design: Reckless Tiger Opal
[83915]=107728,  -- Design: Reckless Vermilion Onyx
[83916]=122669,  -- Design: Reflection of the Sea
[83917]=107610,  -- Design: Regal Alexandrite
[83918]=107744,  -- Design: Regal Wild Jade
[83919]=107659,  -- Design: Resolute Tiger Opal
[83920]=107729,  -- Design: Resolute Vermilion Onyx
[83921]=107660,  -- Design: Resplendent Tiger Opal
[83922]=107730,  -- Design: Resplendent Vermilion Onyx
[83923]=107700,  -- Design: Retaliating Imperial Amethyst
[83924]=107635,  -- Design: Retaliating Roguestone
[83925]=107767,  -- Design: Reverberating Primal Diamond
[83926]=107768,  -- Design: Revitalizing Primal Diamond
[83927]=107617,  -- Design: Rigid Lapis Lazuli
[83928]=106947,  -- Design: Rigid River's Heart
[83929]=122681,  -- Design: Rigid Serpent's Eye
[83930]=122665,  -- Design: Roguestone Shadowband
[83931]=121841,  -- Design: Ruby Panther
[83932]=121842,  -- Design: Sapphire Panther
[83933]=122663,  -- Design: Scrying Roguestone
[83934]=107611,  -- Design: Sensei's Alexandrite
[83935]=106956,  -- Design: Sensei's Wild Jade
[83936]=107612,  -- Design: Shattered Alexandrite
[83937]=107745,  -- Design: Shattered Wild Jade
[83938]=107701,  -- Design: Shifting Imperial Amethyst
[83939]=107636,  -- Design: Shifting Roguestone
[83940]=107661,  -- Design: Skillful Tiger Opal
[83941]=107731,  -- Design: Skillful Vermilion Onyx
[83942]=122672,  -- Design: Skymage Circle
[83943]=122680,  -- Design: Smooth Serpent's Eye
[83944]=107713,  -- Design: Smooth Sun's Radiance
[83945]=107643,  -- Design: Smooth Sunstone
[83946]=107619,  -- Design: Solid Lapis Lazuli
[83947]=106950,  -- Design: Solid River's Heart
[83948]=122678,  -- Design: Solid Serpent's Eye
[83949]=107702,  -- Design: Sovereign Imperial Amethyst
[83950]=107637,  -- Design: Sovereign Roguestone
[83951]=107620,  -- Design: Sparkling Lapis Lazuli
[83952]=106949,  -- Design: Sparkling River's Heart
[83953]=122677,  -- Design: Sparkling Serpent's Eye
[83954]=107662,  -- Design: Splendid Tiger Opal
[83955]=107732,  -- Design: Splendid Vermilion Onyx
[83956]=107663,  -- Design: Stalwart Tiger Opal
[83957]=107733,  -- Design: Stalwart Vermilion Onyx
[83958]=107613,  -- Design: Steady Alexandrite
[83959]=107746,  -- Design: Steady Wild Jade
[83960]=107621,  -- Design: Stormy Lapis Lazuli
[83961]=106948,  -- Design: Stormy River's Heart
[83962]=122679,  -- Design: Subtle Serpent's Eye
[83963]=107714,  -- Design: Subtle Sun's Radiance
[83964]=107644,  -- Design: Subtle Sunstone
[83965]=107665,  -- Design: Tenuous Tiger Opal
[83966]=107734,  -- Design: Tenuous Vermilion Onyx
[83967]=122673,  -- Design: Tiger Opal Pendant
[83968]=107703,  -- Design: Timeless Imperial Amethyst
[83969]=107638,  -- Design: Timeless Roguestone
[83970]=107614,  -- Design: Turbid Alexandrite
[83971]=106962,  -- Design: Turbid Wild Jade
[83972]=107704,  -- Design: Veiled Imperial Amethyst
[83973]=107639,  -- Design: Veiled Roguestone
[83974]=107615,  -- Design: Vivid Alexandrite
[83975]=106961,  -- Design: Vivid Wild Jade
[83976]=107666,  -- Design: Wicked Tiger Opal
[83977]=107735,  -- Design: Wicked Vermilion Onyx
[83978]=122671,  -- Design: Widow Chain
[83979]=107667,  -- Design: Willful Tiger Opal
[83980]=107736,  -- Design: Willful Vermilion Onyx
[83981]=107616,  -- Design: Zen Alexandrite
[83982]=106958,  -- Design: Zen Wild Jade
[84122]=114786,  -- Recipe: Alchemist's Flask
[84123]=114772,  -- Recipe: Flask of Falling Leaves
[84124]=114752,  -- Recipe: Master Healing Potion
[84125]=114778,  -- Recipe: Transmute Sun's Radiance
[84126]=114776,  -- Recipe: Transmute Vermilion Onyx
[84127]=114751,  -- Recipe: Alchemist's Rejuvenation
[84128]=114761,  -- Recipe: Desecrated Oil
[84129]=114763,  -- Recipe: Elixir of Mirrors
[84130]=114764,  -- Recipe: Elixir of Peace
[84131]=114762,  -- Recipe: Elixir of Perfection
[84132]=114759,  -- Recipe: Elixir of the Rapids
[84133]=114756,  -- Recipe: Elixir of Weaponry
[84134]=114769,  -- Recipe: Flask of Spring Blossoms
[84135]=114770,  -- Recipe: Flask of the Earth
[84136]=114771,  -- Recipe: Flask of the Warm Sun
[84137]=114773,  -- Recipe: Flask of Winter's Bite
[84138]=114754,  -- Recipe: Mad Hozen Elixir
[84139]=114755,  -- Recipe: Mantid Elixir
[84140]=114775,  -- Recipe: Master Mana Potion
[84141]=114758,  -- Recipe: Monk's Elixir
[84142]=114774,  -- Recipe: Darkwater Potion
[84143]=114782,  -- Recipe: Potion of Focus
[84144]=114760,  -- Recipe: Potion of Mogu Power
[84145]=114779,  -- Recipe: Potion of Luck
[84146]=114757,  -- Recipe: Potion of the Jade Serpent
[84147]=114753,  -- Recipe: Potion of the Mountains
[84148]=114777,  -- Recipe: Transmute Imperial Amethyst
[84149]=114780,  -- Recipe: Transmute Living Steel
[84150]=114781,  -- Recipe: Transmute Primal Diamond
[84151]=114784,  -- Recipe: Transmute Primordial Ruby
[84152]=114766,  -- Recipe: Transmute River's Heart
[84153]=114783,  -- Recipe: Transmute Trillium Bar
[84154]=114767,  -- Recipe: Transmute Wild Jade
[84155]=114765,  -- Recipe: Virmen's Bite
[84158]=122623,  -- Plans: Contender's Revenant Belt
[84159]=122622,  -- Plans: Contender's Revenant Boots
[84160]=122621,  -- Plans: Contender's Revenant Bracers
[84161]=122618,  -- Plans: Contender's Revenant Breastplate
[84162]=122619,  -- Plans: Contender's Revenant Gauntlets
[84163]=122616,  -- Plans: Contender's Revenant Helm
[84164]=122620,  -- Plans: Contender's Revenant Legplates
[84165]=122617,  -- Plans: Contender's Revenant Shoulders
[84166]=122631,  -- Plans: Contender's Spirit Belt
[84167]=122630,  -- Plans: Contender's Spirit Boots
[84168]=122629,  -- Plans: Contender's Spirit Bracers
[84169]=122626,  -- Plans: Contender's Spirit Breastplate
[84170]=122627,  -- Plans: Contender's Spirit Gauntlets
[84171]=122624,  -- Plans: Contender's Spirit Helm
[84172]=122628,  -- Plans: Contender's Spirit Legplates
[84173]=122625,  -- Plans: Contender's Spirit Shoulders
[84174]=122637,  -- Plans: Forgewire Axe
[84176]=122641,  -- Plans: Ghost Shard
[84177]=122583,  -- Plans: Ghost-Forged Belt
[84178]=122638,  -- Plans: Ghost-Forged Blade
[84179]=122582,  -- Plans: Ghost-Forged Boots
[84180]=122581,  -- Plans: Ghost-Forged Bracers
[84181]=122578,  -- Plans: Ghost-Forged Breastplate
[84182]=122579,  -- Plans: Ghost-Forged Gauntlets
[84183]=122576,  -- Plans: Ghost-Forged Helm
[84184]=122580,  -- Plans: Ghost-Forged Legplates
[84185]=122577,  -- Plans: Ghost-Forged Shoulders
[84186]=122633,  -- Plans: Ghostly Skeleton Key
[84187]=122591,  -- Plans: Lightsteel Belt
[84188]=122590,  -- Plans: Lightsteel Boots
[84189]=122589,  -- Plans: Lightsteel Bracers
[84190]=122586,  -- Plans: Lightsteel Breastplate
[84191]=122587,  -- Plans: Lightsteel Gauntlets
[84192]=122584,  -- Plans: Lightsteel Helm
[84193]=122588,  -- Plans: Lightsteel Legplates
[84194]=122635,  -- Plans: Lightsteel Shield
[84195]=122585,  -- Plans: Lightsteel Shoulders
[84196]=122632,  -- Plans: Living Steel Belt Buckle
[84197]=122644,  -- Plans: Masterwork Forgewire Axe
[84198]=122648,  -- Plans: Masterwork Ghost Shard
[84199]=122607,  -- Plans: Masterwork Ghost-Forged Belt
[84200]=122645,  -- Plans: Masterwork Ghost-Forged Blade
[84201]=122606,  -- Plans: Masterwork Ghost-Forged Boots
[84202]=122605,  -- Plans: Masterwork Ghost-Forged Bracers
[84203]=122602,  -- Plans: Masterwork Ghost-Forged Breastplate
[84204]=122603,  -- Plans: Masterwork Ghost-Forged Gauntlets
[84205]=122600,  -- Plans: Masterwork Ghost-Forged Helm
[84206]=122604,  -- Plans: Masterwork Ghost-Forged Legplates
[84207]=122601,  -- Plans: Masterwork Ghost-Forged Shoulders
[84208]=122642,  -- Plans: Masterwork Lightsteel Shield
[84209]=122615,  -- Plans: Masterwork Lightsteel Belt
[84210]=122614,  -- Plans: Masterwork Lightsteel Boots
[84211]=122613,  -- Plans: Masterwork Lightsteel Bracers
[84212]=122610,  -- Plans: Masterwork Lightsteel Breastplate
[84213]=122611,  -- Plans: Masterwork Lightsteel Gauntlets
[84214]=122608,  -- Plans: Masterwork Lightsteel Helm
[84215]=122612,  -- Plans: Masterwork Lightsteel Legplates
[84216]=122609,  -- Plans: Masterwork Lightsteel Shoulders
[84217]=122646,  -- Plans: Masterwork Phantasmal Hammer
[84218]=122647,  -- Plans: Masterwork Spiritblade Decimator
[84219]=122599,  -- Plans: Masterwork Spiritguard Belt
[84220]=122598,  -- Plans: Masterwork Spiritguard Boots
[84221]=122597,  -- Plans: Masterwork Spiritguard Bracers
[84222]=122594,  -- Plans: Masterwork Spiritguard Breastplate
[84223]=122595,  -- Plans: Masterwork Spiritguard Gauntlets
[84224]=122592,  -- Plans: Masterwork Spiritguard Helm
[84225]=122596,  -- Plans: Masterwork Spiritguard Legplates
[84226]=122643,  -- Plans: Masterwork Spiritguard Shield
[84227]=122593,  -- Plans: Masterwork Spiritguard Shoulders
[84228]=122639,  -- Plans: Phantasmal Hammer
[84229]=122640,  -- Plans: Spiritblade Decimator
[84230]=122575,  -- Plans: Spiritguard Belt
[84231]=122574,  -- Plans: Spiritguard Boots
[84232]=122573,  -- Plans: Spiritguard Bracers
[84233]=122570,  -- Plans: Spiritguard Breastplate
[84234]=122571,  -- Plans: Spiritguard Gauntlets
[84235]=122568,  -- Plans: Spiritguard Helm
[84236]=122572,  -- Plans: Spiritguard Legplates
[84237]=122636,  -- Plans: Spiritguard Shield
[84238]=122569,  -- Plans: Spiritguard Shoulders
[84553]=104409,  -- Formula: Enchant Boots - Blurred Speed
[84554]=104407,  -- Formula: Enchant Boots - Greater Haste
[84555]=104408,  -- Formula: Enchant Boots - Greater Precision
[84556]=104414,  -- Formula: Enchant Boots - Pandaren's Step
[84557]=104391,  -- Formula: Enchant Bracer - Greater Agility
[84558]=74229,   -- Formula: Enchant Bracer - Superior Dodge
[84559]=104389,  -- Formula: Enchant Bracer - Super Intellect
[84560]=104338,  -- Formula: Enchant Bracer - Mastery
[84561]=104390,  -- Formula: Enchant Bracer - Exceptional Strength
[84562]=104395,  -- Formula: Enchant Chest - Glorious Stats
[84563]=104392,  -- Formula: Enchant Chest - Super Resilience
[84564]=104393,  -- Formula: Enchant Chest - Mighty Spirit
[84565]=104397,  -- Formula: Enchant Chest - Superior Stamina
[84566]=104401,  -- Formula: Enchant Cloak - Greater Protection
[84567]=104404,  -- Formula: Enchant Cloak - Superior Critical Strike
[84568]=104398,  -- Formula: Enchant Cloak - Accuracy
[84569]=104403,  -- Formula: Enchant Cloak - Superior Intellect
[84570]=104417,  -- Formula: Enchant Gloves - Superior Expertise
[84571]=104416,  -- Formula: Enchant Gloves - Greater Haste
[84572]=104420,  -- Formula: Enchant Gloves - Superior Mastery
[84573]=104419,  -- Formula: Enchant Gloves - Super Strength
[84574]=104445,  -- Formula: Enchant Off-Hand - Major Intellect
[84575]=103461,  -- Formula: Enchant Ring - Greater Agility
[84576]=103462,  -- Formula: Enchant Ring - Greater Intellect
[84577]=103463,  -- Formula: Enchant Ring - Greater Stamina
[84578]=103465,  -- Formula: Enchant Ring - Greater Strength
[84579]=104440,  -- Formula: Enchant Weapon - Colossus
[84580]=104442,  -- Formula: Enchant Weapon - River's Song
[84581]=104430,  -- Formula: Enchant Weapon - Elemental Force
[84582]=104425,  -- Formula: Enchant Weapon - Windsong
[84583]=104427,  -- Formula: Enchant Weapon - Jade Spirit
[84584]=104434,  -- Formula: Enchant Weapon - Dancing Steel
[85502]=124029,  -- Recipe: Viseclaw Soup
[85505]=124032,  -- Recipe: Krasarang Fritters
[86235]=124127,  -- Pattern: Angerhide Leg Armor
[86236]=124126,  -- Pattern: Brutal Leg Armor
[86237]=124625,  -- Pattern: Chestguard of Earthen Harmony
[86238]=124638,  -- Pattern: Chestguard of Nemeses
[86239]=124635,  -- Pattern: Cloak of the Mists
[86240]=124618,  -- Pattern: Contender's Dragonscale Belt
[86241]=124617,  -- Pattern: Contender's Dragonscale Boots
[86242]=124616,  -- Pattern: Contender's Dragonscale Bracers
[86243]=124613,  -- Pattern: Contender's Dragonscale Chestguard
[86244]=124614,  -- Pattern: Contender's Dragonscale Gloves
[86245]=124611,  -- Pattern: Contender's Dragonscale Helm
[86246]=124615,  -- Pattern: Contender's Dragonscale Leggings
[86247]=124612,  -- Pattern: Contender's Dragonscale Shoulders
[86248]=124610,  -- Pattern: Contender's Leather Belt
[86249]=124609,  -- Pattern: Contender's Leather Boots
[86250]=124608,  -- Pattern: Contender's Leather Bracers
[86251]=124605,  -- Pattern: Contender's Leather Chestguard
[86252]=124606,  -- Pattern: Contender's Leather Gloves
[86253]=124603,  -- Pattern: Contender's Leather Helm
[86254]=124607,  -- Pattern: Contender's Leather Leggings
[86255]=124604,  -- Pattern: Contender's Leather Shoulders
[86256]=124602,  -- Pattern: Contender's Scale Belt
[86257]=124601,  -- Pattern: Contender's Scale Boots
[86258]=124600,  -- Pattern: Contender's Scale Bracers
[86259]=124597,  -- Pattern: Contender's Scale Chestguard
[86260]=124598,  -- Pattern: Contender's Scale Gloves
[86261]=124595,  -- Pattern: Contender's Scale Helm
[86262]=124599,  -- Pattern: Contender's Scale Leggings
[86263]=124596,  -- Pattern: Contender's Scale Shoulders
[86264]=124594,  -- Pattern: Contender's Wyrmhide Belt
[86265]=124593,  -- Pattern: Contender's Wyrmhide Boots
[86266]=124592,  -- Pattern: Contender's Wyrmhide Bracers
[86267]=124589,  -- Pattern: Contender's Wyrmhide Chestguard
[86268]=124590,  -- Pattern: Contender's Wyrmhide Gloves
[86269]=124587,  -- Pattern: Contender's Wyrmhide Helm
[86270]=124591,  -- Pattern: Contender's Wyrmhide Leggings
[86271]=124588,  -- Pattern: Contender's Wyrmhide Shoulders
[86272]=124643,  -- Pattern: Fists of Lightning
[86273]=124626,  -- Pattern: Gloves of Earthen Harmony
[86274]=124619,  -- Pattern: Greyshadow Chestguard
[86275]=124620,  -- Pattern: Greyshadow Gloves
[86276]=124128,  -- Pattern: Ironscale Leg Armor
[86277]=124624,  -- Pattern: Lifekeeper's Gloves
[86278]=124623,  -- Pattern: Lifekeeper's Robe
[86279]=124641,  -- Pattern: Liferuned Leather Gloves
[86280]=124639,  -- Pattern: Murderer's Gloves
[86281]=124640,  -- Pattern: Nightfire Robe
[86282]=124637,  -- Pattern: Quick Strike Cloak
[86283]=124644,  -- Pattern: Raiment of Blood and Bone
[86284]=124645,  -- Pattern: Raven Lord's Gloves
[86285]=124628,  -- Pattern: Sha Armor Kit
[86295]=124129,  -- Pattern: Shadowleather Leg Armor
[86296]=124124,  -- Pattern: Sha-Touched Leg Armor
[86297]=124642,  -- Pattern: Stormbreaker Chestguard
[86298]=124586,  -- Pattern: Stormscale Belt
[86299]=124585,  -- Pattern: Stormscale Boots
[86300]=124584,  -- Pattern: Stormscale Bracers
[86301]=124581,  -- Pattern: Stormscale Chestguard
[86302]=124636,  -- Pattern: Stormscale Drape
[86303]=124582,  -- Pattern: Stormscale Gloves
[86304]=124579,  -- Pattern: Stormscale Helm
[86305]=124583,  -- Pattern: Stormscale Leggings
[86306]=124580,  -- Pattern: Stormscale Shoulders
[86307]=124125,  -- Pattern: Toughened Leg Armor
[86308]=124622,  -- Pattern: Wildblood Gloves
[86309]=124621,  -- Pattern: Wildblood Vest
[86344]=125523,  -- Pattern: Windwool Hood
[86345]=125524,  -- Pattern: Windwool Shoulders
[86346]=125525,  -- Pattern: Windwool Tunic
[86347]=125526,  -- Pattern: Windwool Gloves
[86348]=125527,  -- Pattern: Windwool Pants
[86349]=125528,  -- Pattern: Windwool Bracers
[86350]=125529,  -- Pattern: Windwool Boots
[86351]=125530,  -- Pattern: Windwool Belt
[86352]=125531,  -- Pattern: Contender's Silk Cowl
[86353]=125532,  -- Pattern: Contender's Silk Amice
[86354]=125533,  -- Pattern: Contender's Silk Raiment
[86355]=125534,  -- Pattern: Contender's Silk Handwraps
[86356]=125535,  -- Pattern: Contender's Silk Pants
[86357]=125536,  -- Pattern: Contender's Silk Cuffs
[86358]=125537,  -- Pattern: Contender's Silk Footwraps
[86359]=125538,  -- Pattern: Contender's Silk Belt
[86360]=125539,  -- Pattern: Contender's Satin Cowl
[86361]=125540,  -- Pattern: Contender's Satin Amice
[86362]=125541,  -- Pattern: Contender's Satin Raiment
[86363]=125542,  -- Pattern: Contender's Satin Handwraps
[86364]=125543,  -- Pattern: Contender's Satin Pants
[86365]=125544,  -- Pattern: Contender's Satin Cuffs
[86366]=125545,  -- Pattern: Contender's Satin Footwraps
[86367]=125546,  -- Pattern: Contender's Satin Belt
[86368]=125547,  -- Pattern: Spelltwister's Grand Robe
[86369]=125548,  -- Pattern: Spelltwister's Gloves
[86370]=125549,  -- Pattern: Robes of Creation
[86371]=125550,  -- Pattern: Gloves of Creation
[86372]=125551,  -- Pattern: Bolt of Windwool Cloth
[86373]=125552,  -- Pattern: Pearlescent Spellthread
[86374]=125553,  -- Pattern: Cerulean Spellthread
[86375]=125554,  -- Pattern: Greater Pearlescent Spellthread
[86376]=125555,  -- Pattern: Greater Cerulean Spellthread
[86377]=125556,  -- Pattern: Royal Satchel
[86378]=125557,  -- Pattern: Imperial Silk
[86379]=125558,  -- Pattern: Robe of Eternal Rule
[86380]=125559,  -- Pattern: Imperial Silk Gloves
[86381]=125560,  -- Pattern: Legacy of the Emperor
[86382]=125561,  -- Pattern: Touch of the Light
[87266]=126655,  -- Recipe: Banana Infused Rum
[87408]=126850,  -- Plans: Unyielding Bloodplate
[87409]=126851,  -- Plans: Gauntlets of Battle Command
[87410]=126852,  -- Plans: Ornate Battleplate of the Master
[87411]=126853,  -- Plans: Bloodforged Warfists
[87412]=126854,  -- Plans: Chestplate of Limitless Faith
[87413]=126855,  -- Plans: Gauntlets of Unbound Devotion
[87738]=127115,  -- Schematic: Lord Blastington's Scope of Doom
[87739]=127116,  -- Schematic: Mirror Scope
[87747]=127124,  -- Schematic: Locksmith's Powderkeg
[87748]=109099,  -- Schematic: Watergliding Jets
[87750]=127127,  -- Schematic: G91 Landshark
[87751]=127128,  -- Schematic: Goblin Flame Thrower, Mark II
[87752]=127129,  -- Schematic: Blingtron 4000
[87753]=127130,  -- Schematic: Mist-Piercing Goggles
[87754]=127131,  -- Schematic: Thermal Anvil
[87755]=127132,  -- Schematic: Wormhole Generator: Pandaria
[87757]=127134,  -- Schematic: Ghost Iron Dragonling
[87758]=127135,  -- Schematic: Mechanical Pandaren Dragonling
[87759]=127136,  -- Schematic: Big Game Hunter
[87760]=127137,  -- Schematic: Long-Range Trillium Sniper
[87761]=127138,  -- Schematic: Depleted-Kyparium Rocket
[87762]=127139,  -- Schematic: Geosynchronous World Spinner
[87829]=127475,  -- Recipe: Incarnadine Ink
[89992]=128262,  -- Schematic: Serpent's Heart Firework
[89993]=128261,  -- Schematic: Grand Celebration Firework
[89994]=128260,  -- Schematic: Celestial Firework
[89996]=131256,  -- Schematic: Autumn Flower Firework
[89997]=131258,  -- Schematic: Jade Blossom Firework
[90470]=131897,  -- Design: Jade Owl
[90471]=131898,  -- Design: Sapphire Cub
[90531]=131928,  -- Plans: Ghost Iron Shield Spike
[90532]=131929,  -- Plans: Living Steel Weapon Chain
[94552]=138646,  -- Plans: Lightning Steel Ingot
[94567]=138883,  -- Plans: Thunder, Reborn
[94568]=138882,  -- Plans: Drakefist Hammer, Reborn
[94569]=138877,  -- Plans: Lunar Crescent, Reborn
[94570]=138876,  -- Plans: Planar Edge, Reborn
[94571]=138889,  -- Plans: Lionheart Blade, Reborn
[94572]=138888,  -- Plans: Fireguard, Reborn
[95467]=140040,  -- Pattern: Magnificence of Leather
[95468]=140041,  -- Pattern: Magnificence of Scales
[95470]=140050,  -- Design: Serpent's Heart
[95471]=140060,  -- Design: Primal Diamond
[100863]={143011,146925}, -- Pattern: Celestial Cloth and Its Uses
[100864]={142976,146923}, -- Pattern: Hardened Magnificent Hide and Its Uses
[100865]={143255,146921}, -- Plans: Balanced Trillium Ingot and Its Uses
[100910]={139176,139192,139196,139197,143714}, -- Schematic: Chief Engineer Jard's Journal
[101631]=145038, -- Recipe: Noodle Cart Kit
[101663]=145062, -- Recipe: Pandaren Treasure Noodle Cart Kit
[101664]=145061, -- Recipe: Deluxe Noodle Cart Kit
[101728]=145167, -- Recipe: Grand Noodle Cart Kit
[101739]=145170, -- Recipe: Grand Deluxe Noodle Cart Kit
[101741]=145197, -- Recipe: Grand Pandaren Treasure Noodle Cart Kit
[101765]=145305, -- Recipe: Seasoned Pomfruit Slices
[101766]=145307, -- Recipe: Spiced Blossom Soup
[101767]=145308, -- Recipe: Mango Ice
[101768]=145309, -- Recipe: Farmer's Delight
[101769]=145310, -- Recipe: Stuffed Lushrooms
[101770]=145311, -- Recipe: Fluffy Silkfeather Omelet
[102513]=146613, -- Pattern: Drums of Rage
[102534]=146638, -- Technique: Crafted Malevolent Gladiator's Medallion of Tenacity
[104197]=148255, -- Technique: Glyph of Swift Death
[104209]=148256, -- Technique: Glyph of Loud Horn
[104210]=148257, -- Technique: Glyph of Regenerative Magic
[104211]=148258, -- Technique: Glyph of Festering Blood
[104212]=148259, -- Technique: Glyph of Divine Shield
[104213]=148260, -- Technique: Glyph of Hand of Sacrifice
[104214]=148261, -- Technique: Glyph of Purging
[104215]=148262, -- Technique: Glyph of Eternal Earth
[104216]=57270,  -- Technique: Glyph of Havoc
[104217]=148264, -- Technique: Glyph of Impaling Throws
[104218]=148265, -- Technique: Glyph of the Executor
[104219]=148266, -- Technique: Glyph of Skeleton
[104220]=148267, -- Technique: Glyph of Long Winter
[104221]=148268, -- Technique: Glyph of Sprouting Mushroom
[104222]=148269, -- Technique: Glyph of One with Nature
[104223]=148270, -- Technique: Glyph of Unbound Elemental
[104224]=148271, -- Technique: Glyph of Evaporation
[104225]=148272, -- Technique: Glyph of Condensation
[104226]=148273, -- Technique: Glyph of Exorcist
[104227]=148274, -- Technique: Glyph of Pillar of Light
[104228]=148275, -- Technique: Glyph of Angels
[104229]=148276, -- Technique: Glyph of the Sha
[104230]=148277, -- Technique: Glyph of Shifted Appearances
[104231]=148278, -- Technique: Glyph of Inspired Hymns
[104232]=148279, -- Technique: Glyph of Headhunting
[104233]=148280, -- Technique: Glyph of Improved Distraction
[104234]=148281, -- Technique: Glyph of Spirit Raptors
[104235]=148282, -- Technique: Glyph of Lingering Ancestors
[104236]=148283, -- Technique: Glyph of Spirit Wolf
[104237]=148284, -- Technique: Glyph of Flaming Serpent
[104238]=148285, -- Technique: Glyph of the Compy
[104239]=148286, -- Technique: Glyph of Elemental Familiars
[104240]=148287, -- Technique: Glyph of Astral Fixation
[104241]=148288, -- Technique: Glyph of Rain of Frogs
[104242]=148289, -- Technique: Glyph of the Raging Whirlwind
[104243]=148290, -- Technique: Glyph of the Subtle Defender
[104244]=148291, -- Technique: Glyph of the Watchful Eye
[104245]=148292, -- Technique: Glyph of the Weaponmaster
[104279]=148487, -- Technique: Glyph of the Lean Pack
[104280]=148488, -- Technique: Glyph of Focused Fire
[104281]=148489, -- Technique: Glyph of Enduring Deceit
[104282]=58287,  -- Technique: Glyph of the Chameleon
---------------------------------------------------------------------------------------
}
